package oracle.fsgbu.obscfcm.services.report;

import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.DependsOn;
import org.springframework.stereotype.Component;

import oracle.fsgbu.plato.flyway.FlywayTask;

@Component
@ConditionalOnProperty(value = "flyway.enabled", havingValue = "true")
@DependsOn(value = { FlywayTask.DOMAIN, FlywayTask.PLATO, FlywayTask.SMS, FlywayTask.PLATO_UI })
public class ApplicationFlywayConfig {

}
