package oracle.fsgbu.obscfcm.services.report.client;

import oracle.fsgbu.accountMaintenance.api.model.AccentryWebModel;
import oracle.fsgbu.accountMaintenance.api.model.AccentrycodeWebModel;
import oracle.fsgbu.accountMaintenance.api.model.AccountingTransactionCollection;
import oracle.fsgbu.accountMaintenance.api.model.ExternalWebModel;
import oracle.fsgbu.accountMaintenance.api.model.IntaccmapWebModel;
import oracle.fsgbu.accountMaintenance.api.model.RoleWebModel;

public interface AccountMaintenanceServiceClient {

	public RoleWebModel getAccountRoleTWData(String transactionRefNo, String userId, String branchCode);
	
	public RoleWebModel getAccountRoleTMData(String transactionRefNo, String userId, String branchCode);
	
	public AccentryWebModel getAccountEntryTWData(String transactionRefNo, String userId, String branchCode);

	public AccentryWebModel getAccountEntryTMData(String transactionRefNo, String userId, String branchCode);
	
	public AccentrycodeWebModel getAccountEntryCodeTWData(String transactionRefNo, String userId, String branchCode);

	public AccentrycodeWebModel getAccountEntryCodeTMData(String transactionRefNo, String userId, String branchCode);
	
	public IntaccmapWebModel getInternalAccountMapTWData(String transactionRefNo, String userId, String branchCode);

	public IntaccmapWebModel getInternalAccountMapTMData(String transactionRefNo, String userId, String branchCode);
	
	public ExternalWebModel getExternalAccountMapTWData(String transactionRefNo, String userId, String branchCode);

	public ExternalWebModel getExternalAccountMapTMData(String transactionRefNo, String userId, String branchCode);
	
	public AccountingTransactionCollection getAccountingDataByFinRefNo(String userId, String branchCode, String finRefNo, String authorizationStatus);
}
