package oracle.fsgbu.obscfcm.services.report.client;

import java.util.List;
import java.util.Map;

import oracle.fsgbu.eventService.api.model.InvoiceDto;
import oracle.fsgbu.eventService.api.model.PaymentDto;
import oracle.fsgbu.obscfcm.alertsgenerator.dto.ParameterDTO;
import oracle.fsgbu.obscfcm.services.scfcm.dto.ObTmAlertPartyMasterCollection;

public interface AlertList {
	public List<ParameterDTO> setParams(List<Object> objlst,Object dtoObj);
	/**
	 * @param alertCategory
	 * @param extraHeaders
	 * extraHeaders[0] : User Id
	 * extraHeaders[1] : Branch Code
	 * @return placeholderList
	 */
	public List<Object> getparams(String alertCategory, String... extraHeaders);
	public List<Map<String, String>> getAlertContactDetails(String userId, String branchCode, String partyId, String applicationCode);
}
