package oracle.fsgbu.obscfcm.services.report.service;

import oracle.fsgbu.accountMaintenance.api.model.AccountingTransactionModel;
import oracle.fsgbu.eventService.api.model.*;

import java.util.List;

public interface EventListenerService {

	public Boolean savePaymentData(PaymentDto paymentDto,String userId, String branchCode);
	public Boolean saveInvoiceTwData(InvoiceModel invoiceModel, String userId, String branchCode);
	public Boolean saveUploadedFileData(FileUploadDto fileUploadDto,String userId, String branchCode);
	public Boolean saveCreditNote(CreditNoteModel creditNoteModel,String userId, String branchCode);
	public Boolean saveAutoDebitInstrumentData(AutoDebitTxnMasterDto autoDebitTxnMainDto);
	public void saveAccountsTwData(AccountingTransactionModel accountingTransactionModel);
	public void saveAccountsTmData(AccountingTransactionModel accountingTransactionModel);
	public Boolean saveAutoDebitData(AutoDebitTxnDto autoDebitTxnDto);
	public Boolean fetchInvoiceData(String transactionRefNo, String userId, String branchCode);
	public Boolean savePaymentTWData(PaymentDto paymentDto, String userId, String branchCode);
	public Boolean fetchPaymentData(String paymentRefNo, String userId, String branchCode);

	public Boolean savePoTwData(PurchaseOrderDTO purchaseOrderDTO, String userId, String branchCode);

	public Boolean savePoTMData(PurchaseOrderDTO purchaseOrderDTO, String userId, String branchCode);

	public Boolean savePoData(List<PurchaseOrderDTO> poTwList , List<PurchaseOrderDTO> poTmList, String userId, String branchCode);

}
