package oracle.fsgbu.obscfcm.services.report.service;

import oracle.fsgbu.reconService.api.model.ExpDrCrPmtReconDTO;
import oracle.fsgbu.reconService.api.model.FinPmtReconDTO;
import oracle.fsgbu.reconService.api.model.InvCnReconDTO;
import oracle.fsgbu.reconService.api.model.InvPmtReconDTO;
import oracle.fsgbu.reconService.api.model.PmtAllocDTO;
import oracle.fsgbu.reconService.api.model.ReconTxnDto;

public interface ReconEventListenerService {

	public Boolean saveExpDrCrReconData(ExpDrCrPmtReconDTO expDrCrPmtReconDTO, String userId, String branchCode);

	public Boolean saveInvPmtReconData(InvPmtReconDTO invPmtReconDTO, String userId, String branchCode);

	public Boolean saveFinPmtReconData(FinPmtReconDTO finPmtReconDTO, String userId, String branchCode);
	
	public Boolean savePmtAllocData(PmtAllocDTO pmtAllocDTO, String userId, String branchCode);
	
	public Boolean saveInvCnReconData(InvCnReconDTO invCnReconDTO, String userId, String branchCode);
	
	public Boolean saveReconTwData(ReconTxnDto reconTxnDto, String userId, String branchCode);
}
