package oracle.fsgbu.obscfcm.services.report.service;

import oracle.fsgbu.reportsTransaction.api.model.AgingInvoiceDetailsResponseDto;
import oracle.fsgbu.reportsTransaction.api.model.AgingInvoicesResponseDto;
import oracle.fsgbu.reportsTransaction.api.model.BusinessTrendResponseDto;
import oracle.fsgbu.reportsTransaction.api.model.InvoiceDetailsResponseDto;
import oracle.fsgbu.reportsTransaction.api.model.PayableReceivableResponseDto;
import oracle.fsgbu.reportsTransaction.api.model.RaisedInvoiceDetailsResponseDto;
import oracle.fsgbu.reportsTransaction.api.model.RaisedInvoicesResponseDto;

public interface ReportCreationService {

	public RaisedInvoicesResponseDto getRaisedInvoices(String userId, String branchCode, String fromDate, String toDate, String currency);

	public AgingInvoicesResponseDto getAgingInvoices(String userId, String branchCode, Integer offset, Integer limit);

	public AgingInvoicesResponseDto getOverdueAgingInvoices(String userId, String branchCode);
	
	public BusinessTrendResponseDto getBusinessTrend(String userId, String branchCode);
	
	public PayableReceivableResponseDto getPayableReceivables(String userId, String branchCode);
	
	public RaisedInvoiceDetailsResponseDto getRaisedInvoiceDetails(String appId, String userId, String branchCode, String fromDate, String toDate, String isFinanced, String currency,Integer offset,Integer limit);
	
	public AgingInvoiceDetailsResponseDto getAgingInvoiceDetails(String userId, String branchCode, String fromDate, String toDate, Integer offset, Integer limit);
	
	public InvoiceDetailsResponseDto getInvoices(String userId, String branchCode, String fromDueDate, String toDueDate, String fromDate, String toDate, String corporateId, String isFinanced,Integer offset,Integer limit);
}
