declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'OB_EXP_DRCR_PMT_RECON_TXN';
if (table_exists = 0) then
execute immediate 'CREATE TABLE "OB_EXP_DRCR_PMT_RECON_TXN" 
   (
    "EXP_DR_CR_RECON_ID" NUMBER(28,4),
	"RECON_ID" NUMBER(28,4),
	"RECON_CATEGORY" VARCHAR2(25 BYTE) ,
	"BRANCH_CODE" VARCHAR2(10 BYTE) , 
	"RECON_TYPE" VARCHAR2(1 BYTE) , 
	"RECON_RULE_TYPE" VARCHAR2(4 BYTE), 
	"RECON_RULE" VARCHAR2(10 BYTE), 
	"LHS_ENTITY" VARCHAR2(25 BYTE) , 
	"RHS_ENTITY" VARCHAR2(25 BYTE) , 
	"MAKER_ID" VARCHAR2(48 BYTE), 
	"MAKER_DT_STAMP" DATE, 
	"AUTH_ID" VARCHAR2(48 BYTE), 
	"AUTH_DT_STAMP" DATE, 
	"TRANSACTION_STATUS" VARCHAR2(20 BYTE), 
	"RECON_ACTION" VARCHAR2(20 BYTE), 
	"STAGE" VARCHAR2(20 BYTE), 
	"RECONCILE_BY" VARCHAR2(20 BYTE),
    "RECON_TXN_REF_NO" VARCHAR2(16 BYTE),
    "MATCH_SEQ_NO" VARCHAR2(10 BYTE),
    "EXP_DRCR_CCY" VARCHAR2(3 BYTE),
    "EXP_DRCR_VIRTUAL_ACC_NO" VARCHAR2(35 BYTE),
    "AMT_MATCHED" NUMBER(28,4),
    "PAYMENT_PARTY_ID" VARCHAR2(50 BYTE),
    "PAYMENT_PARTY_NAME" VARCHAR2(20 BYTE),
    "PAYMENT_DATE" DATE,
    "PAYMENT_MODE" VARCHAR2(50 BYTE),
    "BENE_CODE" VARCHAR2(10 BYTE),
    "BENE_NAME" VARCHAR2(30 BYTE),
    "PAYMENT_AMOUNT" VARCHAR2(50 BYTE),
    "PAYMENT_CCY" VARCHAR2(3 BYTE),
    "RECONCILED_PMT_AMT" NUMBER(24,12),
    "BENE_VIRTUAL_ACC_NO" NUMBER(28,4),
    "PMT_STATUS" VARCHAR2(35 BYTE),
    "RECON_STATUS" VARCHAR2(20 BYTE),
    "RECON_DATE" VARCHAR2(12 BYTE),
    "EXP_DRCR_CODE" VARCHAR2(10 BYTE),
    "EXP_DRCR_CODE_DESC" VARCHAR2(100 BYTE),
    "EXP_DRCR_INDICATOR" VARCHAR2(1 BYTE),
    "EXP_DRCR_BANK_ACC_NUMBER" VARCHAR2(50 BYTE),
    "EXP_DRCR_NARRATION" VARCHAR2(50 BYTE),
    "EXP_DRCR_AMT" NUMBER(28,4),
    "EXTERNAL_ACC_NO" VARCHAR2(50 BYTE),
    "EXP_DRCR_DATE" DATE,
    "REVISED_DRCR_DATE" DATE,
	"EXCH_RATE" NUMBER(24,12),
	"EXP_DRCR_REF_NO" VARCHAR2(50 BYTE),
	"PAYMENT_REF_NO" VARCHAR2(50 BYTE),
	"EXTERNAL_PMT_REF_NO" VARCHAR2(50 BYTE),
	"EXTERNAL_DRCR_REF_NO" VARCHAR2(50 BYTE),
	"CORPORATE_ID" VARCHAR2(50 BYTE),
	"COUNTERPARTY_ID" VARCHAR2(50 BYTE)
 )';
end if;
end; 