declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'OB_RECON_FIN_PMT_TXN';

if (table_exists = 0) then
execute immediate 'CREATE TABLE "OB_RECON_FIN_PMT_TXN" 
   (
    "FIN_PMT_RECON_ID" NUMBER(28,4),
	"RECON_ID" NUMBER(28,4),
	"RECON_CATEGORY" VARCHAR2(25 BYTE) , 
	"RECON_DATE" DATE , 
	"BRANCH_CODE" VARCHAR2(10 BYTE) , 
	"RECON_TYPE" VARCHAR2(1 BYTE) , 
	"RECON_RULE_TYPE" VARCHAR2(4 BYTE), 
	"RECON_RULE" VARCHAR2(10 BYTE), 
	"LHS_ENTITY" VARCHAR2(25 BYTE) , 
	"RHS_ENTITY" VARCHAR2(25 BYTE) , 
	"MAKER_ID" VARCHAR2(48 BYTE), 
	"MAKER_DT_STAMP" DATE, 
	"AUTH_ID" VARCHAR2(48 BYTE), 
	"AUTH_DT_STAMP" DATE, 
	"TRANSACTION_STATUS" VARCHAR2(20 BYTE), 
	"RECON_ACTION" VARCHAR2(20 BYTE), 
	"STAGE" VARCHAR2(20 BYTE), 
	"RECONCILE_BY" VARCHAR2(20 BYTE),
	"RECON_TXN_REF_NO" VARCHAR2(16 BYTE) , 
	"MATCH_SEQ_NO" NUMBER(10,0), 
	"FIN_BUYER_ID" VARCHAR2(20 BYTE) , 
	"FIN_SUPPLIER_ID" VARCHAR2(20 BYTE) , 
	"FIN_BUYER_NAME" VARCHAR2(50 BYTE), 
	"FIN_SUPPLIER_NAME" VARCHAR2(50 BYTE), 
	"FIN_PROGRAM_CODE" VARCHAR2(20 BYTE) , 
	"FIN_REF_NO" VARCHAR2(40 BYTE) , 
	"FIN_SEQ_NO" VARCHAR2(20 BYTE), 
	"FIN_START_DT" DATE , 
	"FIN_END_DT" DATE , 
	"FIN_PAST_DUE_DT" DATE , 
	"FIN_CCY" VARCHAR2(3 BYTE) , 
	"FIN_AMT" NUMBER(28,4), 
	"FIN_OS_AMT" NUMBER(28,4), 
	"INT_OS_AMT" NUMBER(28,4), 
	"PEN_INT_OS_AMT" NUMBER(28,4), 
	"OVERDUE_INT_OS_AMT" NUMBER(28,4), 
	"TOT_INT_OS_AMT" NUMBER(28,4), 
	"AMT_MATCHED" NUMBER(28,4) , 
	"PAYMENT_REF_NO" VARCHAR2(50 BYTE) , 
	"PAYMENT_PARTY_ID" VARCHAR2(20 BYTE) , 
	"PAYMENT_PARTY_NAME" VARCHAR2(50 BYTE), 
	"PAYMENT_DATE" DATE , 
	"PAYMENT_MODE" VARCHAR2(10 BYTE), 
	"BENE_CODE" VARCHAR2(30 BYTE), 
	"BENE_NAME" VARCHAR2(50 BYTE), 
	"PAYMENT_AMOUNT" NUMBER(28,4), 
	"PAYMENT_CCY" VARCHAR2(3 BYTE) , 
	"EXCH_RATE" NUMBER(24,12), 
	"RECONCILED_PMT_AMT" NUMBER(28,4) , 
	"BENE_VIRTUAL_ACC_NO" VARCHAR2(35 BYTE), 
	"PMT_PROGRAM_CODE" VARCHAR2(20 BYTE), 
	"PMT_STATUS" VARCHAR2(20 BYTE) , 
	"RECON_STATUS" VARCHAR2(10 BYTE) 
   )';
end if;
end;