declare
col_exists number;
BEGIN
select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'OB_RECON_INV_PMT_TXN' and column_name = 'ACCOUNT_NUMBER';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "OB_RECON_INV_PMT_TXN" ADD ACCOUNT_NUMBER VARCHAR2(50 BYTE)';
end if;
select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'OB_RECON_INV_PMT_TXN' and column_name = 'BENEFICIARY_ID';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "OB_RECON_INV_PMT_TXN" ADD BENEFICIARY_ID VARCHAR2(25 BYTE)';
end if;
select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'OB_RECON_INV_PMT_TXN' and column_name = 'EXT_SYS_REF_NO';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "OB_RECON_INV_PMT_TXN" ADD EXT_SYS_REF_NO VARCHAR2(50 BYTE)';
end if;
select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'OB_RECON_INV_PMT_TXN' and column_name = 'PAYMENT_COUNTERPARTY_ID';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "OB_RECON_INV_PMT_TXN" ADD PAYMENT_COUNTERPARTY_ID VARCHAR2(50 BYTE)';
end if;
select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'OB_RECON_INV_PMT_TXN' and column_name = 'REMITTER_ACC_NO';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "OB_RECON_INV_PMT_TXN" ADD REMITTER_ACC_NO VARCHAR2(35 BYTE)';
end if;
select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'OB_RECON_INV_PMT_TXN' and column_name = 'DEBIT_CREDIT_INDICATOR';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "OB_RECON_INV_PMT_TXN" ADD DEBIT_CREDIT_INDICATOR VARCHAR2(1 BYTE)';
end if;
select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'OB_RECON_INV_PMT_TXN' and column_name = 'REMARKS';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "OB_RECON_INV_PMT_TXN" ADD REMARKS VARCHAR2(150 BYTE)';
end if;
select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'OB_RECON_INV_PMT_TXN' and column_name = 'PMT_PROGRAM_CODE';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "OB_RECON_INV_PMT_TXN" ADD PMT_PROGRAM_CODE VARCHAR2(20 BYTE)';
end if;
select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'OB_RECON_INV_PMT_TXN' and column_name = 'PMT_RELATIONSHIP_CODE';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "OB_RECON_INV_PMT_TXN" ADD PMT_RELATIONSHIP_CODE VARCHAR2(20 BYTE)';
end if;
select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'OB_RECON_INV_PMT_TXN' and column_name = 'INV_PROGRAM_CODE';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "OB_RECON_INV_PMT_TXN" ADD INV_PROGRAM_CODE VARCHAR2(20 BYTE)';
end if;
select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'OB_RECON_INV_PMT_TXN' and column_name = 'ACCOUNT_OWNER';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "OB_RECON_INV_PMT_TXN" ADD ACCOUNT_OWNER VARCHAR2(30 BYTE)';
end if;
select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'OB_RECON_INV_PMT_TXN' and column_name = 'IS_INV_ACC_VA';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "OB_RECON_INV_PMT_TXN" ADD IS_INV_ACC_VA VARCHAR2(3 BYTE)';
end if;
select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'OB_RECON_INV_PMT_TXN' and column_name = 'IS_PMT_ACC_VA';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "OB_RECON_INV_PMT_TXN" ADD IS_PMT_ACC_VA VARCHAR2(3 BYTE)';
end if;
select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'OB_RECON_INV_PMT_TXN' and column_name = 'PARTY_PAYMENT_CODE';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "OB_RECON_INV_PMT_TXN" ADD PARTY_PAYMENT_CODE VARCHAR2(35 BYTE)';
end if;
select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'OB_RECON_INV_PMT_TXN' and column_name = 'COUNTERPARTY_CODE';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "OB_RECON_INV_PMT_TXN" ADD COUNTERPARTY_CODE VARCHAR2(35 BYTE)';
end if;
select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'OB_RECON_INV_PMT_TXN' and column_name = 'ALLOCATION_REQUIRED';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "OB_RECON_INV_PMT_TXN" ADD ALLOCATION_REQUIRED VARCHAR2(1 BYTE)';
end if;
select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'OB_RECON_INV_PMT_TXN' and column_name = 'LINKED_DE_RECON_TXN_REF';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "OB_RECON_INV_PMT_TXN" ADD LINKED_DE_RECON_TXN_REF VARCHAR2(16 BYTE)';
end if;
select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'OB_RECON_INV_PMT_TXN' and column_name = 'DE_RECON_FLAG';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "OB_RECON_INV_PMT_TXN" ADD DE_RECON_FLAG VARCHAR2(1 BYTE)';
end if;
select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'OB_RECON_INV_PMT_TXN' and column_name = 'PAYMENT_COUNTERPARTY_NAME';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "OB_RECON_INV_PMT_TXN" ADD PAYMENT_COUNTERPARTY_NAME VARCHAR2(50 BYTE)';
end if;
end  ;