declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'OB_INVOICE_COMMODITY_GRID_TW';

if (table_exists = 0) then
execute immediate 'CREATE TABLE "OB_INVOICE_COMMODITY_GRID_TW" 
   (	"INVOICE_COMMODITY_GRID_ID" NUMBER NOT NULL ENABLE, 
	"INVOICE_NUMBER" VARCHAR2(25 BYTE) NOT NULL ENABLE, 
	"COMMODITY_CODE" VARCHAR2(20 BYTE), 
	"QUANTITY" NUMBER(28,4), 
	"COST_PER_UNIT" NUMBER(28,4), 
	"TOTAL_COST" NUMBER(28,4) NOT NULL ENABLE, 
	"TAX_AMOUNT" NUMBER(28,4), 
	"NET_COST" NUMBER(28,4), 
	"COMMODITY_DESC" VARCHAR2(120 BYTE), 
	"COMMODITY_NAME" VARCHAR2(50 BYTE), 
	"DESCRIPTION_OF_GOODS" VARCHAR2(100 BYTE), 
	"UNIT_WEIGHT" NUMBER(28,4), 
	"TOTAL_WEIGHT" NUMBER(28,4), 
	"CCY" VARCHAR2(20 BYTE), 
	"DISCOUNT_PERCENTAGE" NUMBER(28,4), 
	"DISCOUNT_AMOUNT" NUMBER(28,4), 
	"TAX_PERCENTAGE" NUMBER(28,4), 
	"UNIT" VARCHAR2(20 BYTE), 
	"INVOICE_REF_NO" VARCHAR2(40 BYTE), 
	"TRANSACTION_REF_NO" VARCHAR2(100 BYTE), 
	"INVOICE_MASTER_ID" VARCHAR2(50 BYTE), 
	"SEQ_NO" NUMBER(4,0) NOT NULL ENABLE, 
	"ID" VARCHAR2(36 BYTE) NOT NULL ENABLE
   )';
end if;
end;