declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'OB_INVOICE_FIN_PARAMETERS_TW';

if (table_exists = 0) then
execute immediate 'CREATE TABLE "OB_INVOICE_FIN_PARAMETERS_TW" 
   (	"ID" VARCHAR2(50 BYTE) NOT NULL ENABLE, 
	"SEQ_NO" NUMBER(4,0) NOT NULL ENABLE, 
	"INVOICE_REF_NO" VARCHAR2(40 BYTE), 
	"TRANSACTION_REF_NO" VARCHAR2(100 BYTE), 
	"PROGRAM_NAME" VARCHAR2(50 BYTE), 
	"PROGRAM_CODE" VARCHAR2(20 BYTE), 
	"OLD_FINANCE_AMT" NUMBER(28,4), 
	"IS_PUA" VARCHAR2(1 BYTE), 
	"IS_INDIRECT_PAYMENT" VARCHAR2(1 BYTE), 
	"IS_FINANCED" VARCHAR2(1 BYTE), 
	"IS_ASSIGNED" VARCHAR2(1 BYTE), 
	"IS_APPROVED" VARCHAR2(1 BYTE), 
	"INSURANCE_CO_NAME" VARCHAR2(100 BYTE), 
	"INSURANCE_CO_ID" VARCHAR2(20 BYTE), 
	"IMPORT_FACTOR_NAME" VARCHAR2(100 BYTE), 
	"IMPORT_FACTOR_ID" VARCHAR2(20 BYTE), 
	"FUNDING_REQUEST_AMOUNT" NUMBER(28,4), 
	"FINANCE_PERCENTAGE" NUMBER(28,4), 
	"FINANCE_AMOUNT" NUMBER(28,4), 
	"ASSIGNMENT_PARTY" VARCHAR2(70 BYTE), 
	"FINANCE_STATUS" VARCHAR2(20 BYTE), 
	"INVOICE_MASTER_ID" VARCHAR2(50 BYTE)
   )';
end if;
end;