declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'OB_CREDIT_NOTE_TM';

if (table_exists = 0) then
execute immediate 'CREATE TABLE "OB_CREDIT_NOTE_TM"
(
    "CN_INTERNAL_ID" VARCHAR2(36 BYTE) NOT NULL ENABLE,
    "CN_ID" VARCHAR2(25 BYTE) NOT NULL ENABLE,
    "CN_NUMBER" VARCHAR2(25 BYTE) NOT NULL ENABLE,
    "CN_DATE" DATE,
    "CN_EXPIRY_DATE" DATE,
    "BUYER_ID" VARCHAR2(20 BYTE),
    "SUPPLIER_ID" VARCHAR2(20 BYTE),
    "BUYER_NAME" VARCHAR2(50 BYTE),
    "SUPPLIER_NAME" VARCHAR2(50 BYTE),
    "BUYER_DIV_CODE" VARCHAR2(20 BYTE),
    "SUPPLIER_DIV_CODE" VARCHAR2(20 BYTE),
    "BUYER_DIV_NAME" VARCHAR2(105 BYTE),
    "SUPPLIER_DIV_NAME" VARCHAR2(105 BYTE),
    "BUYER_CODE" VARCHAR2(100 BYTE),
    "SUPPLIER_CODE" VARCHAR2(100 BYTE),
    "PROGRAM_CODE" VARCHAR2(20 BYTE),
    "RELATION_CODE" VARCHAR2(100 BYTE),
    "CURRENCY" VARCHAR2(3 BYTE),
    "AMOUNT" NUMBER(28,4),
    "NET_CN_AMOUNT" NUMBER(28,4),
    "DISCOUNT_PERCENTAGE" NUMBER,
    "DISCOUNT_AMOUNT" NUMBER,
    "TAX_PERCENTAGE" NUMBER,
    "TAX_AMOUNT" NUMBER(28,4),
    "REMARKS" VARCHAR2(200 BYTE),
    "FILLER_1" DATE,
    "FILLER_2" DATE,
    "FILLER_3" VARCHAR2(25 BYTE),
    "FILLER_4" VARCHAR2(25 BYTE),
    "FILLER_5" VARCHAR2(25 BYTE),
    "FILLER_6" VARCHAR2(25 BYTE),
    "FILLER_7" VARCHAR2(25 BYTE),
    "FILLER_8" VARCHAR2(25 BYTE),
    "FILLER_9" VARCHAR2(25 BYTE),
    "FILLER_10" VARCHAR2(25 BYTE),
    "CN_STATUS" VARCHAR2(20 BYTE),
    "REASON_CODE" VARCHAR2(70 BYTE),
    "CN_RECON_STATUS" VARCHAR2(20 BYTE),
    "FILE_NAME" VARCHAR2(100 BYTE),
    "SEQ_NO" NUMBER(4,0) NOT NULL ENABLE,
    "TRANSACTION_REF_NO" VARCHAR2(36 BYTE),
    "SOURCE_TXN_ID" VARCHAR2(40 BYTE),
    "MISC_CHARGE_1_AMOUNT" NUMBER(28,4),
    "MISC_CHARGE_1_DESC" VARCHAR2(100 BYTE),
    "MISC_CHARGE_2_AMOUNT" NUMBER(28,4),
    "MISC_CHARGE_2_DESC" VARCHAR2(100 BYTE),
    "TOTAL_AMOUNT" NUMBER(28,4),
    "ADJUSTMENT_REASON" VARCHAR2(2 BYTE),
    "MATCHED_AMOUNT" NUMBER(28,4),
    "UNMATCHED_AMOUNT" NUMBER(28,4),
    "PROC_BRANCH_CODE" VARCHAR2(30 BYTE),
    "PROC_BRANCH_DATE" DATE,
    "PROGRAM_NAME" VARCHAR2(50 BYTE)
)';
end if;
end;
/
declare
con_exists number;
begin
SELECT count(1) into con_exists FROM user_constraints WHERE table_name = 'OB_CREDIT_NOTE_TM' AND constraint_name = 'OB_CREDIT_NOTE_TM_PK';
if (con_exists = 0) then
execute immediate 'ALTER TABLE OB_CREDIT_NOTE_TM ADD CONSTRAINT OB_CREDIT_NOTE_TM_PK PRIMARY KEY (CN_INTERNAL_ID)';
end if;
end;