declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'OB_CN_COMMODITY_GRID_TM';
if (table_exists = 0) then
execute immediate 'CREATE TABLE "OB_CN_COMMODITY_GRID_TM"
(
    "ID" VARCHAR2(36 BYTE) NOT NULL ENABLE,
    "SEQ_NO" NUMBER(4,0) NOT NULL ENABLE,
    "CN_REF_NO" VARCHAR2(36 BYTE) NOT NULL ENABLE,
    "INVOICE_NUMBER" VARCHAR2(25 BYTE) NOT NULL ENABLE,
    "COMMODITY_CODE" VARCHAR2(20 BYTE),
    "COMMODITY_NAME" VARCHAR2(100 BYTE),
    "QUANTITY" NUMBER(28,4),
    "COST_PER_UNIT" NUMBER(28,4),
    "TOTAL_COST" NUMBER(28,4) NOT NULL ENABLE,
    "TAX_AMOUNT" NUMBER(28,4),
    "NET_COST" NUMBER(28,4),
    "COMMODITY_DESC" VARCHAR2(120 BYTE),
    "UNIT_WEIGHT" NUMBER(28,4),
    "TOTAL_WEIGHT" NUMBER(28,4),
    "CURRENCY" VARCHAR2(20 BYTE),
    "DISCOUNT_PERCENTAGE" NUMBER(28,4),
    "DISCOUNT_AMOUNT" NUMBER(28,4),
    "TAX_PERCENTAGE" NUMBER(28,4),
    "UNIT" VARCHAR2(20 BYTE),
    "TRANSACTION_REF_NO" VARCHAR2(36 BYTE),
    "DESCRIPTION_OF_GOODS" VARCHAR2(100 BYTE)
)';
 
end if;
end;
/
declare
con_exists number;
begin
SELECT count(1) into con_exists FROM user_constraints WHERE table_name = 'OB_CN_COMMODITY_GRID_TM' AND constraint_name = 'OB_CN_COMMODITY_GRID_TM_PK';
if (con_exists = 0) then
execute immediate 'ALTER TABLE OB_CN_COMMODITY_GRID_TM ADD CONSTRAINT OB_CN_COMMODITY_GRID_TM_PK PRIMARY KEY (ID)';
end if;
end;