declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'OB_INVOICE_PAY_PARAMETERS_TM';
if (table_exists = 0) then
execute immediate 'CREATE TABLE OB_INVOICE_PAY_PARAMETERS_TM
	(	
		"ID" VARCHAR2(50 BYTE) NOT NULL ENABLE, 
		"SEQ_NO" NUMBER(4,0) NOT NULL ENABLE,
		"INVOICE_REF_NO" VARCHAR2(40 BYTE),
		"TRANSACTION_REF_NO" VARCHAR2(100 BYTE),
		"REC_TXN_STATUS" VARCHAR2(1 BYTE),
		"RECON_PMT_AMOUNT_CCY" VARCHAR2(3 BYTE),
		"RECON_PMT_AMOUNT"	NUMBER(28,4),
		"PAYMENT_STATUS" VARCHAR2(20 BYTE),
		"PAYMENT_PARTY"	VARCHAR2(50 BYTE),
		"PAYMENT_MODE"	VARCHAR2(20 BYTE),
		"PAYMENT_DATE"	DATE,
		"PAID_AMOUNT" NUMBER(28,4),
		"INVOICE_MASTER_ID" VARCHAR2(50 BYTE)
	)';
end if;
end;
/
declare
constraint_exists number;
begin
select count(1) into constraint_exists from USER_CONSTRAINTS where table_name = 'OB_INVOICE_PAY_PARAMETERS_TM' and constraint_name = 'OB_INVOICE_PAY_PARAMETERS_TM_PK';
if (constraint_exists = 0) then
execute immediate 'ALTER TABLE OB_INVOICE_PAY_PARAMETERS_TM ADD CONSTRAINT OB_INVOICE_PAY_PARAMETERS_TM_PK PRIMARY KEY (ID)';
end if;
end;
/	