declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'OB_RECON_FIN_PMT_TXN_TW';
if (table_exists = 0) then
execute immediate 'CREATE TABLE "OB_RECON_FIN_PMT_TXN_TW" 
   (	"ID" VARCHAR2(50 BYTE) , 
	"RECON_TXN_REF_NO" VARCHAR2(20 BYTE) , 
	"MATCH_SEQ_NO" NUMBER(10,0), 
	"FIN_BUYER_ID" VARCHAR2(20 BYTE) , 
	"FIN_SUPPLIER_ID" VARCHAR2(20 BYTE) , 
	"FIN_BUYER_NAME" VARCHAR2(50 BYTE), 
	"FIN_SUPPLIER_NAME" VARCHAR2(50 BYTE), 
	"FIN_PROGRAM_CODE" VARCHAR2(20 BYTE) , 
	"FIN_REF_NO" VARCHAR2(40 BYTE) , 
	"FIN_SEQ_NO" VARCHAR2(20 BYTE), 
	"FIN_START_DT" DATE , 
	"FIN_END_DT" DATE , 
	"FIN_PAST_DUE_DT" DATE , 
	"FIN_CCY" VARCHAR2(3 BYTE) , 
	"FIN_AMT" NUMBER(28,4), 
	"FIN_OS_AMT" NUMBER(28,4), 
	"INT_OS_AMT" NUMBER(28,4), 
	"PEN_INT_OS_AMT" NUMBER(28,4), 
	"OVERDUE_INT_OS_AMT" NUMBER(28,4), 
	"TOT_INT_OS_AMT" NUMBER(28,4), 
	"AMT_MATCHED" NUMBER(28,4) , 
	"PAYMENT_REF_NO" VARCHAR2(50 BYTE) , 
	"PAYMENT_PARTY_ID" VARCHAR2(20 BYTE) , 
	"PAYMENT_PARTY_NAME" VARCHAR2(50 BYTE), 
	"PAYMENT_DATE" DATE , 
	"PAYMENT_MODE" VARCHAR2(20 BYTE), 
	"BENE_CODE" VARCHAR2(30 BYTE), 
	"BENE_NAME" VARCHAR2(50 BYTE), 
	"PAYMENT_AMOUNT" NUMBER(28,4), 
	"PAYMENT_CCY" VARCHAR2(3 BYTE) , 
	"EXCH_RATE" NUMBER(24,12), 
	"RECONCILED_PMT_AMT" NUMBER(28,4) , 
	"BENE_VIRTUAL_ACC_NO" VARCHAR2(35 BYTE), 
	"PMT_PROGRAM_CODE" VARCHAR2(20 BYTE), 
	"PMT_STATUS" VARCHAR2(20 BYTE) , 
	"RECON_STATUS" VARCHAR2(10 BYTE) , 
	"RECON_DATE" DATE
	)';
end if;
end;
/
