declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'OB_RECON_ALLOC_PMT_TW';
if (table_exists = 0) then
execute immediate 'CREATE TABLE "OB_RECON_ALLOC_PMT_TW" 
   (	"ID" VARCHAR2(50 BYTE) NOT NULL ENABLE, 
	"ALLOC_VIRTUAL_ACC_NO" VARCHAR2(50 BYTE), 
	"ALLOC_ENTITY" VARCHAR2(50 BYTE), 
	"ALLOC_ATTRIBUTES" VARCHAR2(150 BYTE), 
	"ALLOC_STATUS" VARCHAR2(50 BYTE), 
	"ALLOCATED_AMT" NUMBER(28,4), 
	"ALLOCATION_PCT" NUMBER(28,4), 
	"PMT_ALLOCATED_AMT" NUMBER(28,4), 
	"OBVAM_REF_NO" VARCHAR2(50 BYTE), 
	"CORPORATE_ID" VARCHAR2(50 BYTE), 
	"COUNTERPARTY_ID" VARCHAR2(50 BYTE), 
	"OBDX_REF_NO" VARCHAR2(50 BYTE), 
	"RECON_TXN_REF_NO" VARCHAR2(20 BYTE), 
	"BENEFICIARY_ID" VARCHAR2(25 BYTE), 
	"PAYMENT_PARTY_ID" VARCHAR2(50 BYTE), 
	"PAYMENT_DATE" DATE, 
	"PAYMENT_MODE" VARCHAR2(50 BYTE), 
	"BENE_CODE" VARCHAR2(10 BYTE), 
	"PAYMENT_AMOUNT" NUMBER(28,4), 
	"PAYMENT_CCY" VARCHAR2(3 BYTE), 
	"RECONCILED_PMT_AMT" NUMBER(24,12), 
	"BENE_VIRTUAL_ACC_NO" NUMBER(28,4), 
	"PMT_RECON_STATUS" VARCHAR2(35 BYTE), 
	"PMT_ALLOCATION_STATUS" VARCHAR2(35 BYTE), 
	"RECON_ACTION" VARCHAR2(20 BYTE), 
	"RECON_DATE" DATE, 
	"PAYMENT_REF_NO" VARCHAR2(50 BYTE), 
	"EXTERNAL_PMT_REF_NO" VARCHAR2(50 BYTE), 
	"REMITTER_ACC_NO" VARCHAR2(35 BYTE), 
	"CREDIT_ACC_NO" VARCHAR2(35 BYTE), 
	"DEBIT_CREDIT_INDICATOR" VARCHAR2(1 BYTE), 
	"RECON_ID" VARCHAR2(35 BYTE), 
	"IS_PMT_ACC_VA" VARCHAR2(3 BYTE), 
	"COUNTERPARTY_CODE" VARCHAR2(30 BYTE), 
	"PARTY_PAYMENT_CODE" VARCHAR2(30 BYTE), 
	"BENEFICIARY_CODE" VARCHAR2(30 BYTE), 
	"ACCOUNT_OWNER" VARCHAR2(20 BYTE), 
	"ALLOC_BASIS" VARCHAR2(20 BYTE), 
	"PAYMENT_PARTY_NAME" VARCHAR2(50 BYTE), 
	"COUNTERPARTY_NAME" VARCHAR2(50 BYTE), 
	"CORPORATE_NAME" VARCHAR2(50 BYTE), 
	"BENEFICIARY_NAME" VARCHAR2(50 BYTE), 
	"REMARKS" VARCHAR2(150 BYTE), 
	"PROGRAM_CODE" VARCHAR2(20 BYTE), 
	"RELATIONSHIP_CODE" VARCHAR2(20 BYTE), 
	"LINKED_DE_RECON_TXN_REF" VARCHAR2(16 BYTE), 
	"DE_RECON_FLAG" VARCHAR2(1 BYTE), 
	"PAYMENT_BUSINESS_DATE" DATE, 
	"PMT_UNALLOCATED_AMT" NUMBER(28,4), 
	"PMT_UNMATCHED_AMOUNT" NUMBER(28,4), 
	"FLAG" VARCHAR2(1 BYTE)
	)';
end if;
end;
/
