declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'SCF_TW_ACC_ENTRY_CODE_DETAILS';

if (table_exists = 0) then
execute immediate 'CREATE TABLE "SCF_TW_ACC_ENTRY_CODE_DETAILS" 
   (	"MOD_NO" NUMBER(4,0), 
	"ACC_ENTRY_CODE" VARCHAR2(30 BYTE) NOT NULL ENABLE, 
	"ACC_ENTRY_CODE_MASTER_ID" VARCHAR2(1024 BYTE) NOT NULL ENABLE, 
	"CREDIT_ACC_ROLE_CODE" VARCHAR2(20 BYTE), 
	"CREDIT_AMOUNT_TYPE" VARCHAR2(30 BYTE), 
	"DEBIT_ACC_ROLE_CODE" CHAR(20 BYTE), 
	"DEBIT_AMOUNT_TYPE" VARCHAR2(30 BYTE), 
	"ID" VARCHAR2(1024 BYTE) NOT NULL ENABLE, 
	"CREDIT_PARTY_TYPE" VARCHAR2(20 BYTE), 
	"DEBIT_PARTY_TYPE" VARCHAR2(20 BYTE), 
	"CREDIT_SETTLEMENT_METHOD" VARCHAR2(20 BYTE), 
	"DEBIT_SETTLEMENT_METHOD" VARCHAR2(20 BYTE)
   )';
end if;
end;
/
declare
index_exists number;
begin
select count(1) into index_exists from USER_INDEXES where index_name = 'PK_SCF_TW_ACC_ENTRY_CODE_DETAILS';

if (index_exists = 0) then
execute immediate 'CREATE UNIQUE INDEX "PK_SCF_TW_ACC_ENTRY_CODE_DETAILS" ON "SCF_TW_ACC_ENTRY_CODE_DETAILS" ("ID")';
end if;
end;
/
declare
constraint_exists number;
begin
select count(1) into constraint_exists from USER_CONSTRAINTS where table_name = 'SCF_TW_ACC_ENTRY_CODE_DETAILS' and constraint_name = 'PK_SCF_TW_ACC_ENTRY_CODE_DETAILS';

if (constraint_exists = 0) then
execute immediate 'ALTER TABLE "SCF_TW_ACC_ENTRY_CODE_DETAILS" ADD CONSTRAINT "PK_SCF_TW_ACC_ENTRY_CODE_DETAILS" PRIMARY KEY ("ID")';
end if;
end;