declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'SCF_TW_ACC_ENTRY_DETAILS';

if (table_exists = 0) then
execute immediate ' CREATE TABLE "SCF_TW_ACC_ENTRY_DETAILS" 
   (	"MOD_NO" NUMBER(4,0), 
	"ACC_ENTRY_CODE" VARCHAR2(30 BYTE) NOT NULL ENABLE, 
	"ACC_ENTRY_MASTER_ID" VARCHAR2(1024 BYTE) NOT NULL ENABLE, 
	"ID" VARCHAR2(1024 BYTE) NOT NULL ENABLE, 
	"SEQUENCE" NUMBER(22,0) NOT NULL ENABLE
   )';
end if;
end;
/
declare
index_exists number;
begin
select count(1) into index_exists from USER_INDEXES where index_name = 'PK_SCF_TW_ACC_ENTRY_DETAILS';

if (index_exists = 0) then
execute immediate 'CREATE UNIQUE INDEX "PK_SCF_TW_ACC_ENTRY_DETAILS" ON "SCF_TW_ACC_ENTRY_DETAILS" ("ID")';
end if;
end;
/
declare
constraint_exists number;
begin
select count(1) into constraint_exists from USER_CONSTRAINTS where table_name = 'SCF_TW_ACC_ENTRY_DETAILS' and constraint_name = 'PK_SCF_TW_ACC_ENTRY_DETAILS';

if (constraint_exists = 0) then
execute immediate 'ALTER TABLE "SCF_TW_ACC_ENTRY_DETAILS" ADD CONSTRAINT "PK_SCF_TW_ACC_ENTRY_DETAILS" PRIMARY KEY ("ID")';
end if;
end;