declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'SCF_TW_INT_ACC_MAP_MASTER';

if (table_exists = 0) then
execute immediate 'CREATE TABLE "SCF_TW_INT_ACC_MAP_MASTER" 
   (	"ACTION" VARCHAR2(50 BYTE), 
	"KEY_ID" VARCHAR2(200 BYTE), 
	"CHECKER_REMARKS" VARCHAR2(200 BYTE), 
	"MAKER_REMARKS" VARCHAR2(200 BYTE), 
	"ACC_IN_TXN_CCY" CHAR(1 BYTE), 
	"ACC_ROLE_CODE" VARCHAR2(20 BYTE) NOT NULL ENABLE, 
	"ACC_TYPE" CHAR(1 BYTE), 
	"AUTH_STAT" VARCHAR2(1 BYTE), 
	"BRANCH_CODE" VARCHAR2(4 BYTE) NOT NULL ENABLE, 
	"CHECKER_DT_STAMP" DATE, 
	"CHECKER_ID" VARCHAR2(192 BYTE), 
	"FILTER_ATTR1" VARCHAR2(300 BYTE), 
	"FILTER_ATTR2" VARCHAR2(300 BYTE), 
	"FILTER_ATTR3" VARCHAR2(300 BYTE), 
	"FILTER_ATTR4" VARCHAR2(300 BYTE), 
	"FILTER_ATTR5" VARCHAR2(300 BYTE), 
	"FILTER_CRITERIA" VARCHAR2(50 BYTE), 
	"ID" VARCHAR2(256 BYTE) NOT NULL ENABLE, 
	"MAKER_DT_STAMP" DATE, 
	"MAKER_ID" VARCHAR2(192 BYTE), 
	"MOD_NO" NUMBER(4,0), 
	"ONCE_AUTH" VARCHAR2(1 BYTE), 
	"PRODUCT_CODE" VARCHAR2(10 BYTE) NOT NULL ENABLE, 
	"RECORD_STAT" VARCHAR2(1 BYTE), 
	"SETTLEMENT_METHOD" VARCHAR2(50 BYTE) NOT NULL ENABLE, 
	"APPLICATION_CODE" VARCHAR2(20 BYTE)
   )';
end if;
end;
/
declare
index_exists number;
begin
select count(1) into index_exists from USER_INDEXES where index_name = 'PK_SCF_TW_INT_ACC_MAP_MASTER';

if (index_exists = 0) then
execute immediate 'CREATE UNIQUE INDEX "PK_SCF_TW_INT_ACC_MAP_MASTER" ON "SCF_TW_INT_ACC_MAP_MASTER" ("ID")';
end if;
end;
/
declare
constraint_exists number;
begin
select count(1) into constraint_exists from USER_CONSTRAINTS where table_name = 'SCF_TW_INT_ACC_MAP_MASTER' and constraint_name = 'PK_SCF_TW_INT_ACC_MAP_MASTER';

if (constraint_exists = 0) then
execute immediate 'ALTER TABLE "SCF_TW_INT_ACC_MAP_MASTER" ADD CONSTRAINT "PK_SCF_TW_INT_ACC_MAP_MASTER" PRIMARY KEY ("ID")';
end if;
end;