declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'AUTO_DEBIT_TXN_DETAILS';

IF (table_exists = 0) THEN
  EXECUTE immediate 'CREATE TABLE "AUTO_DEBIT_TXN_DETAILS" 
   (	"AUTO_DEBIT_GRP_TYPE" VARCHAR2(20 BYTE), 
	"TXN_REF_NO" VARCHAR2(100 BYTE), 
	"AUTO_DEBIT_PARTY_ROLE" VARCHAR2(20 BYTE), 
	"AUTO_DEBIT_PARTY_ID" VARCHAR2(50 BYTE), 
	"AUTO_DEBIT_ACC_TYPE" VARCHAR2(100 BYTE), 
	"AUTO_DEBIT_AMT_TYPE" VARCHAR2(100 BYTE), 
	"AUTO_DEBIT_CCY" VARCHAR2(10 BYTE), 
	"AUTO_DEBIT_AMT" NUMBER, 
	"EXECUTION_ID" VARCHAR2(100 BYTE), 
	"BUNCH_IDENTIFIER" VARCHAR2(100 BYTE), 
	"ACCOUNTING_REF_NO" VARCHAR2(100 BYTE), 
	"STATUS" VARCHAR2(36 BYTE), 
	"ID" VARCHAR2(36 BYTE), 
	"AUTO_DEBIT_PARTY_NAME" VARCHAR2(100 BYTE), 
	"ALLOCATED_AUTO_DEBIT_AMT" NUMBER, 
	"PRODUCT_CODE" VARCHAR2(36 BYTE), 
	"IS_FINANCED" VARCHAR2(3 BYTE), 
	"IS_APPROVED" VARCHAR2(3 BYTE), 
	"IS_PUA" VARCHAR2(3 BYTE), 
	"AUTO_DEBIT_PARTY_DIV_CODE" VARCHAR2(20 BYTE), 
	"AUTO_DEBIT_PARTY_DIV_NAME" VARCHAR2(105 BYTE), 
	"INVOICE_REF_NO" VARCHAR2(40 BYTE), 
	"ACCOUNT_REF_NO" VARCHAR2(100 BYTE), 
	"SETTLEMENT_REQUEST_ID" VARCHAR2(100 BYTE), 
	"AUTO_DEBIT_COUNTER_PARTY_ROLE" VARCHAR2(20 BYTE), 
	"AUTO_DEBIT_COUNTER_PARTY_ID" VARCHAR2(50 BYTE), 
	"AUTO_DEBIT_COUNTER_PARTY_NAME" VARCHAR2(100 BYTE), 
	"AUTO_DEBIT_COUNTER_PARTY_DIV_CODE" VARCHAR2(20 BYTE), 
	"AUTO_DEBIT_COUNTER_PARTY_DIV_NAME" VARCHAR2(105 BYTE)
   )';
END IF;
END;