declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'SCF_TM_ACC_ENTRY_CODE_DETAILS';

if (table_exists = 0) then
execute immediate 'CREATE TABLE "SCF_TM_ACC_ENTRY_CODE_DETAILS" 
   (	"ID" VARCHAR2(256 CHAR) NOT NULL ENABLE, 
	"ACC_ENTRY_CODE_MASTER_ID" VARCHAR2(256 CHAR) NOT NULL ENABLE, 
	"ACC_ENTRY_CODE" VARCHAR2(30 BYTE) NOT NULL ENABLE, 
	"DEBIT_AMOUNT_TYPE" VARCHAR2(30 BYTE), 
	"CREDIT_AMOUNT_TYPE" VARCHAR2(30 BYTE), 
	"DEBIT_ACC_ROLE_CODE" CHAR(20 BYTE), 
	"CREDIT_ACC_ROLE_CODE" VARCHAR2(20 BYTE), 
	"CREDIT_PARTY_TYPE" VARCHAR2(20 BYTE), 
	"DEBIT_PARTY_TYPE" VARCHAR2(20 BYTE), 
	"CREDIT_SETTLEMENT_METHOD" VARCHAR2(20 BYTE), 
	"DEBIT_SETTLEMENT_METHOD" VARCHAR2(20 BYTE)
   )';
end if;
end;
/
declare
index_exists number;
begin
select count(1) into index_exists from USER_INDEXES where index_name = 'SCF_TM_ACC_ENTRY_CODE_DET_PK';

if (index_exists = 0) then
execute immediate 'CREATE UNIQUE INDEX "SCF_TM_ACC_ENTRY_CODE_DET_PK" ON "SCF_TM_ACC_ENTRY_CODE_DETAILS" ("ID")';
end if;
end;
/
declare
constraint_exists number;
begin
select count(1) into constraint_exists from USER_CONSTRAINTS where table_name = 'SCF_TM_ACC_ENTRY_CODE_DETAILS' and constraint_name = 'SCF_TM_ACC_ENTRY_CODE_DET_PK';

if (constraint_exists = 0) then
execute immediate 'ALTER TABLE "SCF_TM_ACC_ENTRY_CODE_DETAILS" ADD CONSTRAINT "SCF_TM_ACC_ENTRY_CODE_DET_PK" PRIMARY KEY ("ID")';
end if;
end;