declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'SCF_TM_ACC_ENTRY_DETAILS';

if (table_exists = 0) then
execute immediate 'CREATE TABLE "SCF_TM_ACC_ENTRY_DETAILS" 
   (	"ID" VARCHAR2(256 CHAR) NOT NULL ENABLE, 
	"ACC_ENTRY_MASTER_ID" VARCHAR2(256 CHAR) NOT NULL ENABLE, 
	"ACC_ENTRY_CODE" VARCHAR2(30 BYTE) NOT NULL ENABLE, 
	"SEQUENCE" NUMBER(2,0) NOT NULL ENABLE
   )';
end if;
end;
/
declare
index_exists number;
begin
select count(1) into index_exists from USER_INDEXES where index_name = 'SCF_TM_ACC_ENTRY_DETAILS_PK';

if (index_exists = 0) then
execute immediate 'CREATE UNIQUE INDEX "SCF_TM_ACC_ENTRY_DETAILS_PK" ON "SCF_TM_ACC_ENTRY_DETAILS" ("ID")';
end if;
end;
/
declare
constraint_exists number;
begin
select count(1) into constraint_exists from USER_CONSTRAINTS where table_name = 'SCF_TM_ACC_ENTRY_DETAILS' and constraint_name = 'SCF_TM_ACC_ENTRY_DETAILS_PK';

if (constraint_exists = 0) then
execute immediate 'ALTER TABLE "SCF_TM_ACC_ENTRY_DETAILS" ADD CONSTRAINT "SCF_TM_ACC_ENTRY_DETAILS_PK" PRIMARY KEY ("ID")';
end if;
end;