declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'SCF_TM_INT_ACC_MAP_DETAILS';

if (table_exists = 0) then
execute immediate 'CREATE TABLE "SCF_TM_INT_ACC_MAP_DETAILS" 
   (	"ID" VARCHAR2(256 CHAR) NOT NULL ENABLE, 
	"ACCOUNT_NO" VARCHAR2(20 BYTE) NOT NULL ENABLE, 
	"ACCOUNT_NAME" VARCHAR2(105 BYTE) NOT NULL ENABLE, 
	"ACCOUNT_CCY" VARCHAR2(20 BYTE), 
	"DEFAULT_ACCOUNT" CHAR(1 BYTE), 
	"INT_MASTER_ID" VARCHAR2(256 BYTE) NOT NULL ENABLE, 
	"VA_FLAG_YN" CHAR(1 BYTE) DEFAULT ''N'', 
	"CONTRA_ACCOUNT_NO" VARCHAR2(100 BYTE)
   )';
end if;
end;
/
declare
index_exists number;
begin
select count(1) into index_exists from USER_INDEXES where index_name = 'SCF_TM_INT_ACC_MAP_DETAILS_PK';

if (index_exists = 0) then
execute immediate 'CREATE UNIQUE INDEX "SCF_TM_INT_ACC_MAP_DETAILS_PK" ON "SCF_TM_INT_ACC_MAP_DETAILS" ("ID")';
end if;
end;
/
declare
constraint_exists number;
begin
select count(1) into constraint_exists from USER_CONSTRAINTS where table_name = 'SCF_TM_INT_ACC_MAP_DETAILS' and constraint_name = 'SCF_TM_INT_ACC_MAP_DETAILS_PK';

if (constraint_exists = 0) then
execute immediate 'ALTER TABLE "SCF_TM_INT_ACC_MAP_DETAILS" ADD CONSTRAINT "SCF_TM_INT_ACC_MAP_DETAILS_PK" PRIMARY KEY ("ID")';
end if;
end;