declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'SCF_TW_ACC_ENTRY_CODE_MASTER';

if (table_exists = 0) then
execute immediate 'CREATE TABLE "SCF_TW_ACC_ENTRY_CODE_MASTER" 
   (	"ACTION" VARCHAR2(50 BYTE), 
	"KEY_ID" VARCHAR2(200 BYTE), 
	"CHECKER_REMARKS" VARCHAR2(200 BYTE), 
	"MAKER_REMARKS" VARCHAR2(200 BYTE), 
	"ACC_ENTRY_CODE" VARCHAR2(30 BYTE) NOT NULL ENABLE, 
	"ACC_ENTRY_DESCRIPTION" VARCHAR2(105 BYTE) NOT NULL ENABLE, 
	"AUTH_STAT" VARCHAR2(1 BYTE), 
	"CHECKER_DT_STAMP" DATE, 
	"CHECKER_ID" VARCHAR2(192 BYTE), 
	"ID" VARCHAR2(1024 BYTE) NOT NULL ENABLE, 
	"MAKER_DT_STAMP" DATE, 
	"MAKER_ID" VARCHAR2(192 BYTE), 
	"MOD_NO" NUMBER(4,0), 
	"ONCE_AUTH" VARCHAR2(1 BYTE), 
	"RECORD_STAT" VARCHAR2(1 BYTE), 
	"APPLICATION_CODE" VARCHAR2(20 BYTE)
   )';
end if;
end;
/
declare
index_exists number;
begin
select count(1) into index_exists from USER_INDEXES where index_name = 'PK_SCF_TW_ACC_ENTRY_CODE_MASTER';

if (index_exists = 0) then
execute immediate 'CREATE UNIQUE INDEX "PK_SCF_TW_ACC_ENTRY_CODE_MASTER" ON "SCF_TW_ACC_ENTRY_CODE_MASTER" ("ID")';
end if;
end;
/
declare
constraint_exists number;
begin
select count(1) into constraint_exists from USER_CONSTRAINTS where table_name = 'SCF_TW_ACC_ENTRY_CODE_MASTER' and constraint_name = 'PK_SCF_TW_ACC_ENTRY_CODE_MASTER';

if (constraint_exists = 0) then
execute immediate 'ALTER TABLE "SCF_TW_ACC_ENTRY_CODE_MASTER" ADD CONSTRAINT "PK_SCF_TW_ACC_ENTRY_CODE_MASTER" PRIMARY KEY ("ID")';
end if;
end;