declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'OB_ADAPTER_LOGS';

if (table_exists = 0) then
execute immediate 'CREATE TABLE "OB_ADAPTER_LOGS" 
   (	"LOG_ID" VARCHAR2(36 BYTE) NOT NULL, 
	"REQUEST_TYPE" VARCHAR2(30 BYTE), 
	"BRANCH_CODE" VARCHAR2(30 BYTE), 
	"TRANSACTION_TYPE" VARCHAR2(100 BYTE), 
	"RESPONSE_STATUS" VARCHAR2(50 BYTE), 
	"REQUEST_DATE" TIMESTAMP (6), 
	"RESPONSE_DATE" TIMESTAMP (6), 
	"REQUEST_BODY" CLOB, 
	"RESPONSE_BODY" CLOB, 
	"VERSION" VARCHAR2(20 BYTE)
  )';
end if;
end;
/
declare
index_exists number;
begin
select count(1) into index_exists from USER_INDEXES where index_name = 'OB_ADAPTER_LOGS_PK';

if (index_exists = 0) then
execute immediate 'CREATE UNIQUE INDEX "OB_ADAPTER_LOGS_PK" ON "OB_ADAPTER_LOGS" ("LOG_ID")';
end if;
end;
/
declare
constraint_exists number;
begin
select count(1) into constraint_exists from USER_CONSTRAINTS where table_name = 'OB_ADAPTER_LOGS' and constraint_name = 'OB_ADAPTER_LOGS_PK';

if (constraint_exists = 0) then
execute immediate 'ALTER TABLE "OB_ADAPTER_LOGS" ADD CONSTRAINT "OB_ADAPTER_LOGS_PK" PRIMARY KEY ("LOG_ID")';
end if;
end;
/

