declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'OB_ADAPTER_MSG_MAPPING';

if (table_exists = 0) then
execute immediate 'CREATE TABLE "OB_ADAPTER_MSG_MAPPING" 
   (	"MAPPING_ID" VARCHAR2(36 BYTE) NOT NULL, 
	"SOURCE_SYSTEM" VARCHAR2(50 BYTE), 
	"SOURCE_CODE" VARCHAR2(50 BYTE), 
	"DESTINATION_CODE" VARCHAR2(50 BYTE), 
	"DESTINATION_MESSAGE" VARCHAR2(200 BYTE), 
	"LANGUAGE" VARCHAR2(3 BYTE), 
	"VERSION" NUMBER, 
	"DEFAULT_YN" VARCHAR2(1 BYTE)
  )';
end if;
end;
/
declare
index_exists number;
begin
select count(1) into index_exists from USER_INDEXES where index_name = 'OB_ADAPTER_MSG_MAPPING_PK';

if (index_exists = 0) then
execute immediate 'CREATE UNIQUE INDEX "OB_ADAPTER_MSG_MAPPING_PK" ON "OB_ADAPTER_MSG_MAPPING" ("MAPPING_ID")';
end if;
end;
/
declare
constraint_exists number;
begin
select count(1) into constraint_exists from USER_CONSTRAINTS where table_name = 'OB_ADAPTER_MSG_MAPPING' and constraint_name = 'OB_ADAPTER_MSG_MAPPING_PK';

if (constraint_exists = 0) then
execute immediate 'ALTER TABLE "OB_ADAPTER_MSG_MAPPING" ADD CONSTRAINT "OB_ADAPTER_MSG_MAPPING_PK" PRIMARY KEY ("MAPPING_ID")';
end if;
end;
/