declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'OBCM_TW_RELATIONSHIP_DETAILS_DATA';
if (table_exists = 0) then
execute immediate 'CREATE TABLE "OBCM_TW_RELATIONSHIP_DETAILS_DATA" 
   (	
   "ID" VARCHAR2(36 BYTE) NOT NULL ENABLE, 
	"RELATIONSHIP_DETAIL_ID" VARCHAR2(50 BYTE), 
	"MOD_NO" VARCHAR2(5 BYTE), 
	"EXTERNAL_CODE" VARCHAR2(30 BYTE), 
	"DIVISION_CODE" VARCHAR2(30 BYTE), 
	"CORPORATE_DIVISION_CODE" VARCHAR2(30 BYTE)
   )';
end if;
end;
/
declare
index_exists number;
begin
select count(1) into index_exists from USER_INDEXES where index_name = 'PK_OBCM_TW_RELATIONSHIP_DETAILS_DATA';

if (index_exists = 0) then
execute immediate 'CREATE UNIQUE INDEX "PK_OBCM_TW_RELATIONSHIP_DETAILS_DATA" ON "OBCM_TW_RELATIONSHIP_DETAILS_DATA" ("ID", "MOD_NO")  ';
end if;
end;
/

declare
constraint_exists number;
begin
select count(1) into constraint_exists from USER_CONSTRAINTS where table_name = 'OBCM_TW_RELATIONSHIP_MASTER' and constraint_name = 'PK_OBCM_TW_RELATIONSHIP_MASTER';

if (constraint_exists = 0) then
execute immediate 'ALTER TABLE "OBCM_TW_RELATIONSHIP_DETAILS_DATA" ADD CONSTRAINT "PK_OBCM_TW_RELATIONSHIP_DETAILS_DATA" PRIMARY KEY ("ID", "MOD_NO")';
end if;
end;
/