DECLARE
    col_exists1 NUMBER;
    col_exists2 NUMBER;
    col_exists3 NUMBER;
    col_exists4 NUMBER;
    col_exists5 NUMBER;
    col_exists6 NUMBER;
    col_exists7 NUMBER;
BEGIN
    SELECT
        COUNT(1)
    INTO col_exists1
    FROM
        user_tab_cols
    WHERE
            table_name = 'OB_INVOICE_TW'
        AND column_name = 'INVOICE_VALUE_DATE';

    SELECT
        COUNT(1)
    INTO col_exists2
    FROM
        user_tab_cols
    WHERE
            table_name = 'OB_INVOICE_TW'
        AND column_name = 'DISCOUNT1_DAYS';

    SELECT
        COUNT(1)
    INTO col_exists3
    FROM
        user_tab_cols
    WHERE
            table_name = 'OB_INVOICE_TW'
        AND column_name = 'DISCOUNT1_PERC';

    SELECT
        COUNT(1)
    INTO col_exists4
    FROM
        user_tab_cols
    WHERE
            table_name = 'OB_INVOICE_TW'
        AND column_name = 'DISCOUNT2_DAYS';

    SELECT
        COUNT(1)
    INTO col_exists5
    FROM
        user_tab_cols
    WHERE
            table_name = 'OB_INVOICE_TW'
        AND column_name = 'DISCOUNT2_PERC';

    SELECT
        COUNT(1)
    INTO col_exists6
    FROM
        user_tab_cols
    WHERE
            table_name = 'OB_INVOICE_TW'
        AND column_name = 'PAYMENT_CONDITION';

    SELECT
        COUNT(1)
    INTO col_exists7
    FROM
        user_tab_cols
    WHERE
            table_name = 'OB_INVOICE_TW'
        AND column_name = 'REMARKS';

    IF ( col_exists1 = 0 ) THEN
        EXECUTE IMMEDIATE 'ALTER TABLE OB_INVOICE_TW ADD (INVOICE_VALUE_DATE DATE)';
    END IF;
    IF ( col_exists2 = 0 ) THEN
        EXECUTE IMMEDIATE 'ALTER TABLE OB_INVOICE_TW ADD (DISCOUNT1_DAYS NUMBER(3,0))';
    END IF;
    IF ( col_exists3 = 0 ) THEN
        EXECUTE IMMEDIATE 'ALTER TABLE OB_INVOICE_TW ADD (DISCOUNT1_PERC NUMBER(3,2))';
    END IF;
    IF ( col_exists4 = 0 ) THEN
        EXECUTE IMMEDIATE 'ALTER TABLE OB_INVOICE_TW ADD (DISCOUNT2_DAYS NUMBER(3,0))';
    END IF;
    IF ( col_exists5 = 0 ) THEN
        EXECUTE IMMEDIATE 'ALTER TABLE OB_INVOICE_TW ADD (DISCOUNT2_PERC NUMBER(3,2))';
    END IF;
    IF ( col_exists6 = 0 ) THEN
        EXECUTE IMMEDIATE 'ALTER TABLE OB_INVOICE_TW ADD (PAYMENT_CONDITION NUMBER(2,0))';
    END IF;
    IF ( col_exists7 = 1 ) THEN
        EXECUTE IMMEDIATE 'ALTER TABLE OB_INVOICE_TW MODIFY (REMARKS VARCHAR2(1400))';
    END IF;
END;