DECLARE
    table_exists NUMBER;
BEGIN
    SELECT
        COUNT(1)
    INTO table_exists
    FROM
        user_tables
    WHERE
        table_name = 'OB_INVOICE_PO_TM';

    IF ( table_exists = 0 ) THEN
        EXECUTE IMMEDIATE 'CREATE TABLE "OB_INVOICE_PO_TM"
    (
        "ID" VARCHAR2(50) NOT NULL ENABLE,
        "SEQ_NO" NUMBER(2) NOT NULL ENABLE,
        "PO_EXTERNAL_NUMBER" VARCHAR2(25 BYTE),
        "PO_INTERNAL_NUMBER" VARCHAR2(25 BYTE) NOT NULL ENABLE,
        "PO_DATE" DATE,
        "NET_PO_AMOUNT" NUMBER(28,4),
        "INV_ALOC_AMT"  NUMBER(28,4),
        "INV_ALOC_PERC" NUMBER(28,4),
        "PO_AVAILABLE_AMT" NUMBER(28,4),
        "PO_AVAILABLE_AMT_POST_LINK" NUMBER(28,4),
        "INVOICE_MASTER_ID" VARCHAR2(50 BYTE)
    )';
    END IF;
END;
/