DECLARE
    col_exists NUMBER;
BEGIN
    SELECT
        COUNT(1)
    INTO col_exists
    FROM
        user_tab_cols
    WHERE
            table_name = 'SCFCM_INVOICE'
        AND column_name = 'USE_EARMARKED_LIMITS';

    IF ( col_exists = 1 ) THEN
        EXECUTE IMMEDIATE 'alter table SCFCM_INVOICE drop column USE_EARMARKED_LIMITS';
    END IF;
END;