DECLARE
    col_exists1 NUMBER;
    col_exists2 NUMBER;
    col_exists3 NUMBER;
    col_exists4 NUMBER;
BEGIN
    SELECT
        COUNT(1)
    INTO col_exists1
    FROM
        user_tab_cols
    WHERE
            table_name = 'OB_CREDIT_NOTE_TM'
        AND column_name = 'BANK_CHARGE_AMT';

    SELECT
        COUNT(1)
    INTO col_exists2
    FROM
        user_tab_cols
    WHERE
            table_name = 'OB_CREDIT_NOTE_TM'
        AND column_name = 'DEDUC_AMT';

    SELECT
        COUNT(1)
    INTO col_exists3
    FROM
        user_tab_cols
    WHERE
            table_name = 'OB_CREDIT_NOTE_TM'
        AND column_name = 'IS_INDIRECT_PAYMENT';

    SELECT
        COUNT(1)
    INTO col_exists4
    FROM
        user_tab_cols
    WHERE
            table_name = 'OB_CREDIT_NOTE_TM'
        AND column_name = 'PMT_VALUE_DATE';    

    IF ( col_exists1 = 0 ) THEN
        EXECUTE IMMEDIATE 'ALTER TABLE OB_CREDIT_NOTE_TM ADD (BANK_CHARGE_AMT NUMBER(28,4))';
    END IF;
    IF ( col_exists2 = 0 ) THEN
        EXECUTE IMMEDIATE 'ALTER TABLE OB_CREDIT_NOTE_TM ADD (DEDUC_AMT NUMBER(28,4))';
    END IF;
    IF ( col_exists3 = 0 ) THEN
        EXECUTE IMMEDIATE 'ALTER TABLE OB_CREDIT_NOTE_TM ADD (IS_INDIRECT_PAYMENT VARCHAR2(1 BYTE))';
    END IF;
    IF ( col_exists4 = 0 ) THEN
        EXECUTE IMMEDIATE 'ALTER TABLE OB_CREDIT_NOTE_TM ADD (PMT_VALUE_DATE DATE)';
    END IF;
END;