declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'OB_PO_SHIP_PARAMETERS_TM';
if (table_exists = 0) then
execute immediate 'CREATE TABLE "OB_PO_SHIP_PARAMETERS_TM"
   (    "PO_INTERNAL_NUMBER" VARCHAR2(40 BYTE),
        	"SEQ_NO" NUMBER(4,0) NOT NULL ENABLE,
        	"PO_TRANSACTION_REF_NO" VARCHAR2(100 BYTE),
        	"SHIPMENT_ADDR1" VARCHAR2(150 BYTE),
        	"SHIPMENT_ADDR2" VARCHAR2(150 BYTE),
        	"SHIPMENT_ADDR3" VARCHAR2(150 BYTE),
        	"SHIP_TO" VARCHAR2(30 BYTE),
        	"REQ_SHIPMENT_DATE" DATE,
        	"PROMISED_SHIPMENT_DATE" DATE,
        	"SHIPMENT_COUNTRY" VARCHAR2(20 BYTE),
        	"SHIPMENT_CITY" VARCHAR2(30 BYTE),
        	"SHIPMENT_ZIP_CODE" VARCHAR2(20 BYTE),
        	"SHIPMENT_PHONE_NUMBER" VARCHAR2(22 BYTE),
        	"SHIPMENT_TAX_ID" VARCHAR2(30 BYTE),
        	"OLD_PROMISED_SHIPMENT_DATE" DATE
    )';
end if;
end;
/
declare
constraint_exists number;
begin
select count(1) into constraint_exists from USER_CONSTRAINTS where table_name = 'OB_PO_SHIP_PARAMETERS_TM' and constraint_name = 'OB_PO_SHIP_PARAMETERS_TM_PK';
if (constraint_exists = 0) then
execute immediate 'ALTER TABLE OB_PO_SHIP_PARAMETERS_TM ADD CONSTRAINT OB_PO_SHIP_PARAMETERS_TM_PK PRIMARY KEY (PO_INTERNAL_NUMBER)';
end if;
end;
/