DECLARE
    INDEX_EXISTS NUMBER;
    INDEX_EXISTS_CORP NUMBER;
BEGIN
    SELECT COUNT(1) INTO INDEX_EXISTS FROM USER_INDEXES WHERE INDEX_NAME = 'IDX_OBCM_REL_MST_PROD';
    SELECT COUNT(1) INTO INDEX_EXISTS_CORP FROM USER_INDEXES WHERE INDEX_NAME = 'IDX_OBCM_REL_MST_CORP_NAME';

    IF (INDEX_EXISTS = 0) THEN
        EXECUTE IMMEDIATE 'CREATE INDEX "IDX_OBCM_REL_MST_PROD" ON "OBCM_TM_RELATIONSHIP_MASTER" ("PRODUCT")';
    END IF;
    IF (INDEX_EXISTS_CORP = 0) THEN
        EXECUTE IMMEDIATE 'CREATE INDEX "IDX_OBCM_REL_MST_CORP_NAME" ON "OBCM_TM_RELATIONSHIP_MASTER" ("CORPORATE_NAME")';
    END IF;
END;
/