INSERT INTO PRODUCT_SERVICES_LEDGER (ID, PRODUCT_NAME, ENDPOINT_KEY, ENDPOINT_VALUE, REQUEST_TYPE, SERVICE_NAME) 
select PRODUCT_SVCS_LEDGER_ID_SEQ.NEXTVAL, 'OBSCFCM', 'RAISEDINVOICES', '/web/v1/raisedInvoices', 'GET', 'obscfcm-report-services' from dual where not exists(select * from PRODUCT_SERVICES_LEDGER WHERE PRODUCT_NAME='OBSCFCM' AND ENDPOINT_KEY='RAISEDINVOICES');

INSERT INTO PRODUCT_SERVICES_LEDGER (ID, PRODUCT_NAME, ENDPOINT_KEY, ENDPOINT_VALUE, REQUEST_TYPE, SERVICE_NAME) 
select PRODUCT_SVCS_LEDGER_ID_SEQ.NEXTVAL, 'OBSCFCM', 'RAISEDINVOICEDETAILS', '/web/v1/raisedInvoiceDetails', 'GET', 'obscfcm-report-services' from dual where not exists(select * from PRODUCT_SERVICES_LEDGER WHERE PRODUCT_NAME='OBSCFCM' AND ENDPOINT_KEY='RAISEDINVOICEDETAILS');

INSERT INTO PRODUCT_SERVICES_LEDGER (ID, PRODUCT_NAME, ENDPOINT_KEY, ENDPOINT_VALUE, REQUEST_TYPE, SERVICE_NAME) 
select PRODUCT_SVCS_LEDGER_ID_SEQ.NEXTVAL, 'OBSCFCM', 'AGINGINVOICES', '/web/v1/agingInvoices', 'GET', 'obscfcm-report-services' from dual where not exists(select * from PRODUCT_SERVICES_LEDGER WHERE PRODUCT_NAME='OBSCFCM' AND ENDPOINT_KEY='AGINGINVOICES');

INSERT INTO PRODUCT_SERVICES_LEDGER (ID, PRODUCT_NAME, ENDPOINT_KEY, ENDPOINT_VALUE, REQUEST_TYPE, SERVICE_NAME) 
select PRODUCT_SVCS_LEDGER_ID_SEQ.NEXTVAL, 'OBSCFCM', 'TOPCORPORATES', '/web/v1/payableReceivables', 'GET', 'obscfcm-report-services' from dual where not exists(select * from PRODUCT_SERVICES_LEDGER WHERE PRODUCT_NAME='OBSCFCM' AND ENDPOINT_KEY='TOPCORPORATES');

INSERT INTO PRODUCT_SERVICES_LEDGER (ID, PRODUCT_NAME, ENDPOINT_KEY, ENDPOINT_VALUE, REQUEST_TYPE, SERVICE_NAME) 
select PRODUCT_SVCS_LEDGER_ID_SEQ.NEXTVAL, 'OBSCFCM', 'OVERDUEAGINGINVOICES', '/web/v1/overdueAgingInvoices', 'GET', 'obscfcm-report-services' from dual where not exists(select * from PRODUCT_SERVICES_LEDGER WHERE PRODUCT_NAME='OBSCFCM' AND ENDPOINT_KEY='OVERDUEAGINGINVOICES');

INSERT INTO PRODUCT_SERVICES_LEDGER (ID, PRODUCT_NAME, ENDPOINT_KEY, ENDPOINT_VALUE, REQUEST_TYPE, SERVICE_NAME) 
select PRODUCT_SVCS_LEDGER_ID_SEQ.NEXTVAL, 'OBSCFCM', 'BUSINESSTREND', '/web/v1/businessTrend', 'GET', 'obscfcm-report-services' from dual where not exists(select * from PRODUCT_SERVICES_LEDGER WHERE PRODUCT_NAME='OBSCFCM' AND ENDPOINT_KEY='BUSINESSTREND');

commit;