INSERT
INTO SMS_TM_SERVICE_ACTIVITY
  (
    SERVICE_ACTIVITY_CODE,
    DESCRIPTION,
    CLASS_NAME,
    METHOD_NAME,
    APPLICATION_ID,
    SERVICE_TYPE,
    UI_ACTIVITY_CODE
  )
  (SELECT 'CMC_MENU_SA_DASHBOARD',
      'Dashboard',
      'oracle.fsgbu.sms.web.DashboardController',
      'getAllDashboardTiles',
      'CMC',
      'UI',
      'CMC_MENU_UA_DASHBOARD'
    FROM dual
    WHERE NOT EXISTS
      (SELECT SERVICE_ACTIVITY_CODE,
        DESCRIPTION,
        CLASS_NAME,
        METHOD_NAME,
        APPLICATION_ID,
        SERVICE_TYPE,
        UI_ACTIVITY_CODE
      FROM SMS_TM_SERVICE_ACTIVITY
      WHERE SERVICE_ACTIVITY_CODE='CMC_MENU_SA_DASHBOARD'
      )
  );
  
commit;