INSERT
INTO SMS_TM_FUNC_ACTIVITY_DETAIL
  (
    ID,
    FUNCTIONAL_ACTIVITY_CODE,
    SERVICE_ACTIVITY_CODE
  )
  (SELECT 'OBSCFCM_FD_INVOICE_ENQ',
      'OBSCFCM_FA_INVOICE_ENQ',
      'OBSCFCM_SA_INVOICE_ENQ'
    FROM dual
    WHERE NOT EXISTS
      (SELECT ID,
        FUNCTIONAL_ACTIVITY_CODE,
        SERVICE_ACTIVITY_CODE
      FROM SMS_TM_FUNC_ACTIVITY_DETAIL
      WHERE ID='OBSCFCM_FD_INVOICE_ENQ'
      )
  );
  
INSERT
INTO SMS_TM_FUNC_ACTIVITY_DETAIL
  (
    ID,
    FUNCTIONAL_ACTIVITY_CODE,
    SERVICE_ACTIVITY_CODE
  )
  (SELECT 'OBSCFCM_FD_INVOICE_AGE_DET',
      'OBSCFCM_FA_INVOICE_AGE_DET',
      'OBSCFCM_SA_INVOICE_AGE_DET'
    FROM dual
    WHERE NOT EXISTS
      (SELECT ID,
        FUNCTIONAL_ACTIVITY_CODE,
        SERVICE_ACTIVITY_CODE
      FROM SMS_TM_FUNC_ACTIVITY_DETAIL
      WHERE ID='OBSCFCM_FD_INVOICE_AGE_DET'
      )
  );
  
COMMIT;