package oracle.fsgbu.customer.test.service

import oracle.fsgbu.obscfcm.services.report.domain.entity.ScfTmInvoicePo
import oracle.fsgbu.obscfcm.services.report.persistence.ScfTmInvoicePoRepository;

import oracle.fsgbu.obscfcm.services.report.service.ReportTransactionServiceImpl


import spock.lang.Shared
import spock.lang.Specification
import spock.lang.Unroll

class ReportTransactionServiceSpec extends Specification{


	@Shared scfTmInvoicePo =new ScfTmInvoicePo(poInternalNumber:"101",poExternalNumber:"102",id:"1",poDate:new Date(),netPoAmount:new BigDecimal(1000),invoiceAllocAmount:new BigDecimal(1000),invoiceAllocPercentage:new BigDecimal(1),poAvailableAmount:new BigDecimal(1000),poAvailableAmountPostLink:new BigDecimal(1000),invoiceMasterId:"101")

	@Unroll("test getInvoicesLinkedToPO method")
	def"test getInvoicesLinkedToPO method"(){
		given:
		def mockScfTmInvoicePoRepository = Mock(ScfTmInvoicePoRepository)
		ReportTransactionServiceImpl reportCreationService= new ReportTransactionServiceImpl( mockScfTmInvoicePoRepository )

		List<ScfTmInvoicePo>  scfTmInvoicePoList=new ArrayList<>();
		scfTmInvoicePoList.add(scfTmInvoicePo)
		mockScfTmInvoicePoRepository.executeNamedQueryByCondition(_,_,_)>>scfTmInvoicePoList


		List<String> poInternalNoList =new ArrayList<>();
		poInternalNoList.add("101")

		when:	
		def response = reportCreationService.getInvoicesLinkedToPO("SCFREPORT","SWETA","004",poInternalNoList)
		then:
		thrown Exception
	}
	
	
	
	}

