package oracle.fsgbu.customer.test.web

import oracle.fsgbu.obscfcm.services.report.service.ReportTransactionService
import oracle.fsgbu.obscfcm.services.report.web.ReportTransactionServiceController
import spock.lang.Specification;
import spock.lang.Unroll;
import java.math.BigDecimal
import spock.lang.Shared
import oracle.fsgbu.gus.persistence.provider.GlobalHolder
import oracle.fsgbu.gus.persistence.provider.RequestContext
import oracle.fsgbu.obscfcm.services.report.util.ReportingUtil
import org.junit.Test



class ReportTransactionServiceControllerSpec extends Specification {
	
	
	
	def ReportTransactionService mockReportTransactionService = Mock(ReportTransactionService)
	
	@Unroll("test getInvoicesLinkedToPO method")
	def"test getInvoicesLinkedToPO method"(){
		given:
		
		def mockReportTransactionService = Mock(ReportTransactionService)
		ReportTransactionServiceController reportTransactionController = new ReportTransactionServiceController()
		reportTransactionController.reportTransactionService=mockReportTransactionService
		List<String> poInternalNoList =new ArrayList<>();
		poInternalNoList.add("101")
		mockReportTransactionService.getInvoicesLinkedToPO("SCFREPORT","SWETA","004",poInternalNoList)

		when:
		def response = reportTransactionController.getInvoicesLinkedToPO("SCFREPORT","SWETA","004",poInternalNoList)
		
		then:
		response!= null
		
	}
	

	
}