var categories = {
	"mastercategories":[
	{
		"index": 0,
	    "description": "Oracle Banking Supply Chain Finance Service APIs use HTTP verbs and a RESTful endpoint structure. Request and response payloads are formatted as JSON.\n\n",
    	"name": "Overview"
	},
	{
		"index": 1,
		"description": "",
		"name": "Core Services"
	},
	{
		"index": 2,
		"description": "",
		"name": "Receivables Core Services"
	},
		{
		"index": 3,
		"description": "",
		"name": "Limits Services"
	},
	{
		"index": 4,
		"description": "",
		"name": "Account Maintenance Services"
	},
	{
		"index": 5,
		"description": "",
		"name": "Charges Services"
	},
	{
		"index": 6,
		"description": "",
		"name": "Instruments Receivables Services"
	},
	{
		"index": 7,
		"description": "",
		"name": "Finance Services"
	},
	{
		"index": 8,
		"description": "",
		"name": "Auto Reconciliation Services"
	},
	{
		"index": 9,
		"description": "",
		"name": "Manual Reconciliation Services"
	},
	{
		"index": 10,
		"description": "",
		"name": "FCI Messaging Services"
	},
	{
		"index": 11,
		"description": "",
		"name": "EOD Services"
	},
	{
		"index": 12,
		"description": "",
		"name": "Alerts Services"
	},
	{
		"index": 13,
		"description": "",
		"name": "Workflow Management Services"
	},
	{
		"index": 14,
		"description": "",
		"name": "Report Services"
	},
	{
		"index": 15,
		"description": "",
		"name": "Receivables Report Services"
	},
	{
		"index": 16,
		"description": "",
		"name": "Filter Services"
	},
	{
		"index": 17,
		"description": "",
		"name": "Master Maintenance Services"
	},	
	]
	};
	var subCategories = {
		"list":[
		{
			"index": 1,
			"yaml": "obscf-core-services/coreServiceExt.yaml",
			"description": "Provides APIs for program and product related operations.",
			"parentcategory": "Core Services",
			"displayName": "Core Service APIs"
		},	
		{
			"index": 2,
			"yaml": "obscf-core-services/coreServiceV1Ext.yaml",
			"description": "Provides v1 APIs for program and product related operations.",
			"parentcategory": "Core Services",
			"displayName": "Core Service v1 APIs"
		},
		{
			"index": 3,
			"yaml": "obscf-core-services/coreServiceV3Ext.yaml",
			"description": "Provides v3 APIs for program and product related operations.",
			"parentcategory": "Core Services",
			"displayName": "Core Service v3 APIs"
		},
		{
			"index": 4,
			"yaml": "obscf-core-services/coreServiceV4Ext.yaml",
			"description": "Provides v4 APIs for program and product related operations.",
			"parentcategory": "Core Services",
			"displayName": "Core Service v4 APIs"
		},
		{
			"index": 5,
			"yaml": "obscf-core-services/factoringDetailsService.yaml",
			"description": "Retrieves all the export and import factoring details.",
			"parentcategory": "Core Services",
			"displayName": "Factoring Details Service APIs"
		},
		{
			"index": 6,
			"yaml": "obscf-core-services/InsuranceServiceInt.yaml",
			"description": "Provides APIs to perform operations on insurance.",
			"parentcategory": "Core Services",
			"displayName": "Insurance Service APIs"
		},
		{
			"index": 7,
			"yaml": "obscf-core-services/PrefIntPricingService.yaml",
			"description": "Provides APIs to perform operations on preferential interest pricing.",
			"parentcategory": "Core Services",
			"displayName": "Preferential Interest Pricing Service APIs"
		},
		{
			"index": 8,
			"yaml": "obscfcm-core-services/customerServiceExt.yaml",
			"description": "Provides APIs to perform operations on customer delinquency status.",
			"parentcategory": "Receivables Core Services",
			"displayName": "Customer Division Orchestrator APIs"
		},
		{
			"index": 9,
			"yaml": "obscfcm-core-services/divisionCodeService.yaml",
			"description": "Provides APIs to perform operations on customer's division code.",
			"parentcategory": "Receivables Core Services",
			"displayName": "Division Code APIs"
		},
		{
			"index": 10,
			"yaml": "obscfcm-core-services/paymentTermsService.yaml",
			"description": "Provides APIs to perform operations on payment terms.",
			"parentcategory": "Receivables Core Services",
			"displayName": "Payment Term Service APIs"
		},
		{
			"index": 11,
			"yaml": "obscfcm-core-services/relationshipService.yaml",
			"description": "Provides APIs to perform operations on Relationship.",
			"parentcategory": "Receivables Core Services",
			"displayName": "Relationship Service APIs"
		},
		{
			"index": 12,
			"yaml": "obscf-limits-services/LimitsServiceExt.yaml",
			"description": "Provides API to perform various operation such as block, utilize, release, unblock the limits and fetch the limits details.",
			"parentcategory": "Limits Services",
			"displayName": "Limits Service APIs"
		},{
			"index": 13,
			"yaml": "obscfcm-account-maintenance-services/fcubs-accounting-serviceExt.yaml",
			"description": "Provides APIs to perform operations on FCUBS.",
			"parentcategory": "Account Maintenance Services",
			"displayName": "FCUBS Accounting APIs"
		},
		{
			"index": 14,
			"yaml": "obscfcm-account-maintenance-services/obscfcm-accounting-serviceExt.yaml",
			"description": "Provides APIs to perform operations on accounting.",
			"parentcategory": "Account Maintenance Services",
			"displayName": "Accounting APIs"
		},
		{
			"index": 15,
			"yaml": "obscfcm-account-maintenance-services/pooling-accounting-serviceExt.yaml",
			"description": "Provides APIs to perform pooling operations on accounting.",
			"parentcategory": "Account Maintenance Services",
			"displayName": "Pooling Accounting Service APIs"
		},
		{
			"index": 16,
			"yaml": "obscfcm-account-maintenance-services/vam-serviceExt.yaml",
			"description": "Provides APIs for Virtual Account Management.",
			"parentcategory": "Account Maintenance Services",
			"displayName": "VAM Service APIs"
		},
		{
			"index": 17,
			"yaml": "obscfcm-charges-services/chargesEnqServiceExt.yaml",
			"description": "Provides APIs to facilitate maintenance of charge enquiries.",
			"parentcategory": "Charges Services",
			"displayName": "Charges Enquiry Service APIs"
		},
		{
			"index": 18,
			"yaml": "obscfcm-charges-services/chgPrcTmpltServiceExt.yaml",
			"description": "Provides APIs to get pricing categories, methods and charges applicable for a given transaction.",
			"parentcategory": "Charges Services",
			"displayName": "Charges Pricing Template Service APIs"
		},
		{
			"index": 19,
			"yaml": "obscfcm-instruments-receivables-services/CreditNoteService.yaml",
			"description": "Provides APIs to perform operations on Credit Notes.",
			"parentcategory": "Instruments Receivables Services",
			"displayName": "Credit Note Service APIs"
		},
		{
			"index": 20,
			"yaml": "obscfcm-instruments-receivables-services/discountOfferServiceApi.yaml",
			"description": "Provides APIs to perform operations on Discount Offers.",
			"parentcategory": "Instruments Receivables Services",
			"displayName": "Discount Offer Service APIs"
		},
		{
			"index": 21,
			"yaml": "obscfcm-instruments-receivables-services/instrumentFinanceService.yaml",
			"description": "Provides APIs to perform Finance Operations on Instruments.",
			"parentcategory": "Instruments Receivables Services",
			"displayName": "Instrument Finance Service APIs"
		},
		{
			"index": 22,
			"yaml": "obscfcm-instruments-receivables-services/InvoiceAutoDebitService.yaml",
			"description": "Provides APIs to perform Auto Debit transaction on Invoices.",
			"parentcategory": "Instruments Receivables Services",
			"displayName": "Invoicing Auto Debit Service APIs"
		},
		{
			"index": 23,
			"yaml": "obscfcm-instruments-receivables-services/invoiceChargesService.yaml",
			"description": "Provides APIs to perform charges operations on invoices.",
			"parentcategory": "Instruments Receivables Services",
			"displayName": "Invoice Charges Service APIs"
		},
		{
			"index": 24,
			"yaml": "obscfcm-instruments-receivables-services/invoiceProcessService.yaml",
			"description": "Provides APIs to perform various operations on invoices.",
			"parentcategory": "Instruments Receivables Services",
			"displayName": "Invoice Process Service APIs"
		},
		{
			"index": 25,
			"yaml": "obscfcm-instruments-receivables-services/invoicingService.yaml",
			"description": "Provides APIs to perform operations on invoices.",
			"parentcategory": "Instruments Receivables Services",
			"displayName": "Invoicing Service APIs"
		},
		{
			"index": 26,
			"yaml": "obscfcm-instruments-receivables-services/invoicingServiceV2.yaml",
			"description": "Provides APIs to perform operations on invoices.",
			"parentcategory": "Instruments Receivables Services",
			"displayName": "Invoicing Service v2 APIs"
		},
		{
			"index": 27,
			"yaml": "obscfcm-instruments-receivables-services/invoicingServiceV3.yaml",
			"description": "Provides APIs to perform operations on Invoices.",
			"parentcategory": "Instruments Receivables Services",
			"displayName": "Invoicing Service v3 APIs"
		},
		{
			"index": 28,
			"yaml": "obscfcm-instruments-receivables-services/paymentService.yaml",
			"description": "Provides APIs for various payment related processes.",
			"parentcategory": "Instruments Receivables Services",
			"displayName": "Payment Service APIs"
		},
		{
			"index": 29,
			"yaml": "obscfcm-instruments-receivables-services/poChargesService.yaml",
			"description": "Provides APIs to perform Charges Operations on Purchase Orders.",
			"parentcategory": "Instruments Receivables Services",
			"displayName": "Purchase Order Charges Service APIs"
		},
		{
			"index": 30,
			"yaml": "obscfcm-instruments-receivables-services/PoService.yaml",
			"description": "Provides APIs to perform operations on purchase orders.",
			"parentcategory": "Instruments Receivables Services",
			"displayName": "Purchase Order Service APIs"
		},
        {
			"index": 31,
			"yaml": "obscfcm-instruments-receivables-services/refundProcessService.yaml",
			"description": "Provides APIs to perform operations on refund.",
			"parentcategory": "Instruments Receivables Services",
			"displayName": "Refund Service APIs"
		},
		{
			"index": 32,
			"yaml": "obscf-finance-services/financeChargesServiceExt.yaml",
			"description": "Provides APIs for charges operations on finances.",
			"parentcategory": "Finance Services",
			"displayName": "Finance Charges Service APIs"
		},
		{
			"index": 33,
			"yaml": "obscf-finance-services/financeLoanServiceExt.yaml",
			"description": "Provides APIs to perform operations on finances.",
			"parentcategory": "Finance Services",
			"displayName": "Finance Loan Service APIs"
		},
		{
			"index": 34,
			"yaml": "obscf-finance-services/financeLoanServiceV2Ext.yaml",
			"description": "Provides APIs to perform enquiry operations on finances.",
			"parentcategory": "Finance Services",
			"displayName": "Finance Loan Service v2 APIs"
		},
		{
			"index": 35,
			"yaml": "obscf-finance-services/financeTxnServiceApiExt.yaml",
			"description": "Provides APIs to perform enquiry operations on finances.",
			"parentcategory": "Finance Services",
			"displayName": "Finance Transaction Service APIs"
		},
		{
			"index": 36,
			"yaml": "obscf-finance-services/financeTxnServiceV1ApiExt.yaml",
			"description": "Provides APIs to perform enquiry operations on finances.",
			"parentcategory": "Finance Services",
			"displayName": "Finance Transaction Service v1 APIs"
		},
		{
			"index": 37,
			"yaml": "obscf-finance-services/interestTxnServiceApi.yaml",
			"description": "Provides APIs to perform enquiry operations on interests.",
			"parentcategory": "Finance Services",
			"displayName": "Interest Transaction Service APIs"
		},
		{
			"index": 38,
			"yaml": "obscf-finance-services/limitsTxnServiceApiExt.yaml",
			"description": "Provides APIs to perform enquiry operations on limits.",
			"parentcategory": "Finance Services",
			"displayName": "Limits Transaction Service APIs"
		},
		{
			"index": 39,
			"yaml": "obscf-finance-services/loanAndPaymentServiceApiExt.yaml",
			"description": "Provides APIs for managing contracts created by finance.",
			"parentcategory": "Finance Services",
			"displayName": "Loan and Payment Service APIs"
		},
		{
			"index": 40,
			"yaml": "obscfcm-auto-recon-batch/autoRecon.yaml",
			"description": "Provides APIs for Auto Recon Service Operation.",
			"parentcategory": "Auto Reconciliation Services",
			"displayName": "Auto Recon Service APIs"
		},
		{
			"index": 41,
			"yaml": "obscfcm-manual-recon-services/manualReconServiceExt.yaml",
			"description": "Provides APIs to make reconcilation, dereconcilation, allocation and deallocation transactions.",
			"parentcategory": "Manual Reconciliation Services",
			"displayName": "Manual Recon Service APIs"
		},
		{
			"index": 42,
			"yaml": "obscfcm-manual-recon-services/AutoReconServiceExt.yaml",
			"description": "Provides APIs to configure reconcilation rules.",
			"parentcategory": "Manual Reconciliation Services",
			"displayName": "Auto Reconciliation Service APIs"
		},
		{
			"index": 43,
			"yaml": "obscfcm-manual-recon-services/AutoReconV2Service.yaml",
			"description": "Provides APIs to configure reconcilation rules.",
			"parentcategory": "Manual Reconciliation Services",
			"displayName": "Auto Reconciliation Service APIs"
		},
		{
			"index": 44,
			"yaml": "obscfcm-manual-recon-services/ReconRuleServiceExt.yaml",
			"description": "Provides APIs to fetch reconcilation category and attributes detail.",
			"parentcategory": "Manual Reconciliation Services",
			"displayName": "Reconcilation Rule Service APIs"
		},
		{
			"index": 45,
			"yaml": "obscfcm-manual-recon-services/VAMServiceExt.yaml",
			"description": "Provides APIs to VAM service for fetching Virtual Account Number.",
			"parentcategory": "Manual Reconciliation Services",
			"displayName": "VAM Service calling APIs"
		},
		{
			"index": 46,
			"yaml": "obscf-fci-messaging-service/fciMessageService.yaml",
			"description": "Provides API to interface between fci messaging service and fci messaging adaptor.",
			"parentcategory": "FCI Messaging Services",
			"displayName": "FCI Messaging Service APIs"
		},
		{
			"index": 47,
			"yaml": "obscf-fci-messaging-service/scfFciMessageTxn.yaml",
			"description": "Provides APIs to save and retreive details in Supply Chain Finance fci message transactions.",
			"parentcategory": "FCI Messaging Services",
			"displayName": "FCI Message Transaction Service APIs"
		},
		{
			"index": 48,
			"yaml": "obscf-fci-messaging-service/scfFciMessageInquiry.yaml",
			"description": "Provides APIs to save and retreive details in Supply Chain Finance fci message inquiry transactions.",
			"parentcategory": "FCI Messaging Services",
			"displayName": "FCI Message Inquiry Service APIs"
		},
		{
			"index": 49,
			"yaml": "obscfcm-eod-batch/eodService.yaml",
			"description": "Provides APIs to trigger all the required end of day events for the application.",
			"parentcategory": "EOD Services",
			"displayName": "EOD Service APIs"
		},
		{
			"index": 50,
			"yaml": "obscfcm-alerts-services/alertsCategory.yaml",
			"description": "Provides APIs for Alert category.",
			"parentcategory": "Alerts Services",
			"displayName": "Alerts Service APIs"
		},
		{
			"index": 51,
			"yaml": "obscfcm-workflow-management-services/conductorExt.yaml",
			"description": "Provides APIs to interface between conductor and the service.",
			"parentcategory": "Workflow Management Services",
			"displayName": "Conductor Service APIs"
		},
		{
			"index": 52,
			"yaml": "obscf-report-services/eventServiceExt.yaml",
			"description": "Provides APIs for Event Data Management.",
			"parentcategory": "Report Services",
			"displayName": "Event Service APIs"
		},
		{
			"index": 53,
			"yaml": "obscf-report-services/alertServiceExt.yaml",
			"description": "Provides APIs for batch Alert.",
			"parentcategory": "Report Services",
			"displayName": "Batch Alert Service APIs"
		},
		{
			"index": 54,
			"yaml": "obscfcm-report-services/eventServiceExt.yaml",
			"description": "Provides APIs for Event Data Management.",
			"parentcategory": "Receivables Report Services",
			"displayName": "Event Service APIs"
		},
		{
			"index": 55,
			"yaml": "obscfcm-report-services/reconServiceExt.yaml",
			"description": "Provides APIs for Reconcilation.",
			"parentcategory": "Receivables Report Services",
			"displayName": "Recon Service APIs"
		},
		{
			"index": 56,
			"yaml": "obscfcm-report-services/relationshipServiceExt.yaml",
			"description": "Provides APIs for maintaining relationships between corporates and their buyers and sellers.",
			"parentcategory": "Receivables Report Services",
			"displayName": "Relationship Service APIs"
		},
		{
			"index": 57,
			"yaml": "obscfcm-report-services/reportsServiceTransaction.yaml",
			"description": "Provides APIs for Report Service Management.",
			"parentcategory": "Receivables Report Services",
			"displayName": "Report Transaction Service APIs"
		},
		{
			"index": 58,
			"yaml": "obscfcm-filter-services/filterServiceExt.yaml",
			"description": "Provides filter queries for respective categories for all applicable filter criteria and filters the best possible result for that category.",
			"parentcategory": "Filter Services",
			"displayName": "Filter Service APIs"
		},
		{
			"index": 59,
			"yaml": "obscfcm-master-maintenance-services/masterMaintenanceServiceExt.yaml",
			"description": "Provides APIs for maintaining system, application and other parameters.",
			"parentcategory": "Master Maintenance Services",
			"displayName": "Master Maintenance Services APIs"
		},
		{
			"index": 60,
			"yaml": "obscfcm-master-maintenance-services/userAccessService.yaml",
			"description": "Provides APIs for user branch access service.",
			"parentcategory": "Master Maintenance Services",
			"displayName": "Master Maintenance Services APIs"
		}			
		]
	}