package oracle.fsgbu.obscfcm.services.report.client;

import oracle.fsgbu.eventService.api.model.CreditNoteModel;
import oracle.fsgbu.eventService.api.model.InvoiceDto;
import oracle.fsgbu.eventService.api.model.PaymentDto;
import oracle.fsgbu.eventService.api.model.FileUploadDto;


public interface EventServiceClient {

	public Boolean saveInvoiceData(InvoiceDto invoiceDto, String userId, String branchCode);
	
	public Boolean savePaymentData(PaymentDto paymentDto, String userId, String branchCode);
	public Boolean saveUploadedFileData(FileUploadDto fileUploadDto,  String userId, String branchCode);

	public Boolean saveCreditNote(CreditNoteModel reditNoteModel, String userId, String branchCode);
}
