package oracle.fsgbu.obscfcm.services.report.client;

import oracle.fsgbu.eventService.api.model.AutoDebitTxnCollection;
import oracle.fsgbu.eventService.api.model.InvoiceCollectionDto;
import oracle.fsgbu.eventService.api.model.PaymentCollectionDto;
import oracle.fsgbu.eventService.api.model.PurchaseOrderCollection;

public interface InstrumentReceivablesServiceClient {

	public InvoiceCollectionDto getInvoiceByTxnRefNo(String transactionRefNo, String userId, String branchCode);
	
	public AutoDebitTxnCollection getAutoDebitTxns(String userId, String branchCode, String executionId);
	
	public InvoiceCollectionDto getInvoiceMaintByTxnRefNo(String transactionRefNo, String userId, String branchCode);

	public PaymentCollectionDto getPaymentByPayRefNo(String paymentRefNo, String userId, String branchCode);

	public PaymentCollectionDto getPaymentTwByPayRefNo(String paymentRefNo, String userId, String branchCode);

	public PurchaseOrderCollection getPoByTransactionRefNo(String poInternalNumber, Boolean isAuth, String userId, String branchCode);
}
