package oracle.fsgbu.obscfcm.services.report.client;

import oracle.fsgbu.reconService.api.model.ExpDrCrPmtReconDTO;
import oracle.fsgbu.reconService.api.model.FinPmtReconDTO;
import oracle.fsgbu.reconService.api.model.InvCnReconDTO;
import oracle.fsgbu.reconService.api.model.InvPmtReconDTO;
import oracle.fsgbu.reconService.api.model.PmtAllocDTO;
import oracle.fsgbu.reconService.api.model.ReconDataCollection;
import oracle.fsgbu.reconService.api.model.ReconTxnDto;

public interface ReconEventServiceClient {
	
	public Boolean saveExpDrCrData(ExpDrCrPmtReconDTO expDrCrPmtReconDTO, String userId, String branchCode);

	public Boolean saveInvPmtData(InvPmtReconDTO invPmtReconDTO, String userId, String branchCode);

	public Boolean saveFinPmtData(FinPmtReconDTO finPmtReconDTO, String userId, String branchCode);
	
	public Boolean savePmtAllocData(PmtAllocDTO pmtAllocDTO, String userId, String branchCode);
	
	public Boolean saveInvCnData(InvCnReconDTO invCnReconDTO, String userId, String branchCode);
	
	public ReconDataCollection getReconTwData(String reconTxnRefNo, String userId, String branchCode);
	
	public ReconTxnDto getReconTmData(String reconTxnRefNo, String userId, String branchCode);
}
