package oracle.fsgbu.obscfcm.services.report.service;

import oracle.fsgbu.accountMaintenance.api.model.AccentryWebModel;
import oracle.fsgbu.accountMaintenance.api.model.AccentrycodeWebModel;
import oracle.fsgbu.accountMaintenance.api.model.ExternalWebModel;
import oracle.fsgbu.accountMaintenance.api.model.IntaccmapWebModel;
import oracle.fsgbu.accountMaintenance.api.model.RoleWebModel;

public interface AccountMaintenanceListenerService {

	public Boolean saveAccountRoleTWData(RoleWebModel accRoleWebModel, String userId, String branchCode);
	
	public Boolean saveAccountRoleTMData(RoleWebModel accRoleWebModel, String userId, String branchCode);
	
	public Boolean saveAccountEntryTWData(AccentryWebModel accentryWebModel, String userId, String branchCode);

	public Boolean saveAccountEntryTMData(AccentryWebModel accentryWebModel, String userId, String branchCode);
	
	public Boolean saveAccountEntryCodeTWData(AccentrycodeWebModel accentryWebModel, String userId, String branchCode);

	public Boolean saveAccountEntryCodeTMData(AccentrycodeWebModel accentryWebModel, String userId, String branchCode);
	
	public Boolean saveInternalAccountMapTWData(IntaccmapWebModel accentryWebModel, String userId, String branchCode);

	public Boolean saveInternalAccountMapTMData(IntaccmapWebModel accentryWebModel, String userId, String branchCode);
	
	public Boolean saveExternalAccountMapTWData(ExternalWebModel accentryWebModel, String userId, String branchCode);

	public Boolean saveExternalAccountMapTMData(ExternalWebModel accentryWebModel, String userId, String branchCode);
}
