package oracle.fsgbu.obscfcm.services.report.service;

import javax.validation.Valid;

import oracle.fsgbu.reconDashboard.api.model.ReconCategoryResponseDto;
import oracle.fsgbu.reconDashboard.api.model.ReconTopCorporateResponseDto;
import oracle.fsgbu.reconDashboard.api.model.ReconTrendGraphResponseDto;

public interface ReconDashboardService {

	public ReconCategoryResponseDto getInvoiceReconCategoryList(String userId, String branchCode, @Valid String fromDate, @Valid String toDate, String corporateId);
	
	public ReconTrendGraphResponseDto getInvoiceReconTrendGraphList(String userId, String branchCode, @Valid String fromDate, @Valid String toDate, String corporateId);
	
	public ReconCategoryResponseDto getCashFlowReconCategoryList(String userId, String branchCode, @Valid String fromDate, @Valid String toDate, String corporateId);
	
	public ReconTrendGraphResponseDto getCashFlowReconTrendGraphList(String userId, String branchCode, @Valid String fromDate, @Valid String toDate, String corporateId);
	
	public ReconTopCorporateResponseDto getInvoiceReconTopCorporateList(String userId, String branchCode, @Valid String fromDate, @Valid String toDate, String reconType, String trendlineFlag, String trendlineDate, String corporateId);
	
	public ReconCategoryResponseDto getAllocationReconCategoryList(String userId, String branchCode,
			@Valid String fromDate, @Valid String toDate, String corporateId);

	public ReconTrendGraphResponseDto getAllocationReconTrendGraphList(String userId, String branchCode,
			@Valid String fromDate, @Valid String toDate, String corporateId);

	public ReconCategoryResponseDto getFinanceReconCategoryList(String userId, String branchCode,
			@Valid String fromDate, @Valid String toDate, String corporateId);

	public ReconTrendGraphResponseDto getFinanceReconTrendGraphList(String userId, String branchCode,
			@Valid String fromDate, @Valid String toDate, String corporateId);

	public ReconTopCorporateResponseDto getAllocationReconTopCorporateList(String userId, String branchCode,
			@Valid String fromDate, @Valid String toDate, @Valid String reconType, String trendlineFlag, String trendlineDate, String corporateId);

	public ReconTopCorporateResponseDto getCashflowReconTopCorporateList(String userId, String branchCode,
			@Valid String fromDate, @Valid String toDate, @Valid String reconType, String trendlineFlag, String trendlineDate, String corporateId);

	public ReconTopCorporateResponseDto getFinanceReconTopCorporateList(String userId, String branchCode,
			@Valid String fromDate, @Valid String toDate, @Valid String reconType, String trendlineFlag, String trendlineDate, String corporateId);
	
	public ReconTrendGraphResponseDto getReconciliationTrendGraphList(String userId, String branchCode,
			@Valid String fromDate, @Valid String toDate, String corporateId);
	
	public ReconTopCorporateResponseDto getReconciliationTopCorporateList(String userId, String branchCode,
			@Valid String fromDate, @Valid String toDate, String reconType, String trendlineFlag, String trendlineDate, String corporateId);
}
