INSERT INTO PROPERTIES
  ( ID, APPLICATION, PROFILE, LABEL, KEY, VALUE
  )
SELECT PROPERTIES_ID_SEQ.NEXTVAL,
  'obscfcm-report-services',
  'jdbc',
  'jdbc',
  'obscfcm.report.service.appId',
  'OBSCFCMREPORT'
FROM DUAL
WHERE NOT EXISTS
  (SELECT *
  FROM PROPERTIES
  WHERE APPLICATION = 'obscfcm-report-services'
  AND KEY           = 'obscfcm.report.service.appId'
  );
  
DELETE
FROM PROPERTIES
WHERE APPLICATION = 'obscfcm-report-services'
AND KEY          IN ('cmc.db.jndi','platoui.db.jndi','sms.db.jndi','plato.db.jndi','report.db.jndi','obscfcm.instruments-receivables.service.appId','obscfcmreport.userId','obscfcmreport.branchCode');
  
COMMIT;