declare
col_exists number;
BEGIN

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'SHIPMENT_REF_NO';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD SHIPMENT_REF_NO VARCHAR2(100 BYTE)';
end if;

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'REPAYMENT_ACC_NO';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD REPAYMENT_ACC_NO VARCHAR2(50 BYTE)';
end if;

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'VIRTUAL_AC_FLAG';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD VIRTUAL_AC_FLAG VARCHAR2(1 BYTE)';
end if;

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'ROUTING_CODE';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD ROUTING_CODE NUMBER(9,0)';
end if;

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'REASON_FOR_SHIPMENT';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD REASON_FOR_SHIPMENT VARCHAR2(50 BYTE)';
end if;

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'FUNDING_REQUEST_AMOUNT';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD FUNDING_REQUEST_AMOUNT NUMBER(28,4)';
end if;

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'PROC_BRANCH_CODE';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD PROC_BRANCH_CODE VARCHAR2(3 BYTE)';
end if;

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'ACTION';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD ACTION VARCHAR2(20 BYTE)';
end if;

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'PROC_DATE';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD PROC_DATE DATE';
end if;

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'DISPUTED_AMOUNT';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD DISPUTED_AMOUNT NUMBER(28,4)';
end if;

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'LINKED_DOCS';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD LINKED_DOCS VARCHAR2(50 BYTE)';
end if;

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'IS_FINANCED';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD IS_FINANCED VARCHAR2(1 BYTE)';
end if;

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'IS_ACCEPTED';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD IS_ACCEPTED VARCHAR2(1 BYTE)';
end if;

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'IS_DISPUTE_RESOLVED_WRITEOFF';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD IS_DISPUTE_RESOLVED_WRITEOFF VARCHAR2(1 BYTE)';
end if;

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'IS_ASSIGNED';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD IS_ASSIGNED VARCHAR2(1 BYTE)';
end if;

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'ASSIGNMENT_PARTY';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD ASSIGNMENT_PARTY VARCHAR2(70 BYTE)';
end if;

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'IS_OVERDUE';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD IS_OVERDUE VARCHAR2(1 BYTE)';
end if;

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'OLD_ACCEPTANCE_AMT';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD OLD_ACCEPTANCE_AMT NUMBER(28,4)';
end if;

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'OLD_FINANCE_AMT';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD OLD_FINANCE_AMT NUMBER(28,4)';
end if;

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'IS_APPROVED';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD IS_APPROVED VARCHAR2(1 BYTE)';
end if;

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'OLD_EXPIRY_DATE';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD OLD_EXPIRY_DATE DATE';
end if;

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'CHANNEL';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD CHANNEL VARCHAR2(10 BYTE)';
end if;

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'SOURCE_TXN_ID';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD SOURCE_TXN_ID VARCHAR2(40 BYTE)';
end if;

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'SEQ_NO';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD SEQ_NO NUMBER(4,0)';
end if;

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'TRANSACTION_REF_NO';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD TRANSACTION_REF_NO VARCHAR2(100 BYTE)';
end if;

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'REC_TXN_STATUS';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD REC_TXN_STATUS VARCHAR2(1 BYTE)';
end if;

select count(1) into col_exists from USER_TAB_COLS 
where table_name = 'SCFCM_INVOICE' and column_name = 'FILE_NAME';
if (col_exists = 0) then
execute immediate 'ALTER TABLE "SCFCM_INVOICE" ADD FILE_NAME VARCHAR2(70 BYTE)';
end if;

end  ;