declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'OBCM_TM_RELATIONSHIP_MASTER';

if (table_exists = 0) then
execute immediate 'CREATE TABLE "OBCM_TM_RELATIONSHIP_MASTER" 
   (	"ID" VARCHAR2(36 BYTE) NOT NULL ENABLE, 
	"AUTH_STAT" VARCHAR2(1 BYTE) DEFAULT ''U'', 
	"RECORD_STAT" VARCHAR2(1 BYTE) DEFAULT ''O'', 
	"MOD_NO" NUMBER(4,0), 
	"CHECKER_DT_STAMP" DATE, 
	"ONCE_AUTH" VARCHAR2(1 BYTE) DEFAULT ''N'', 
	"MAKER_ID" VARCHAR2(12 BYTE), 
	"MAKER_DT_STAMP" DATE, 
	"CHECKER_ID" VARCHAR2(12 BYTE), 
	"RELATIONSHIP_CODE" VARCHAR2(20 BYTE), 
	"RELATIONSHIP_NAME" VARCHAR2(200 BYTE), 
	"CORPORATE_ID" VARCHAR2(20 BYTE), 
	"EFF_FROM_DATE" DATE, 
	"EXPIRES_ON" DATE, 
	"AUTO_ACCEPTANCE" VARCHAR2(1 BYTE) DEFAULT ''N'', 
	"PRODUCT" VARCHAR2(1 BYTE), 
	"NO_OF_DAYS" NUMBER, 
	"CORPORATE_NAME" VARCHAR2(50 BYTE), 
	CONSTRAINT "CM_TM_RELATIONSHIPS_PK" PRIMARY KEY ("ID"), 
	CONSTRAINT "OBCM_TM_RELATIONSHIP_MASTER_UK1" UNIQUE ("RELATIONSHIP_CODE"), 
    CONSTRAINT "UK_OBCM_TM_RELATIONSHIP_MASTER" UNIQUE ("CORPORATE_ID", "RELATIONSHIP_CODE") )';
end if;
end;
/