declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'OB_RECON_INV_PMT_TXN';

if (table_exists = 0) then
execute immediate 'CREATE TABLE "OB_RECON_INV_PMT_TXN" 
   (	"INV_PMT_RECON_ID" NUMBER(28,4) , 
   "RECON_ID" NUMBER(28,4) , 
	"RECON_CATEGORY" VARCHAR2(25 BYTE) , 
	"RECON_DATE" DATE , 
	"BRANCH_CODE" VARCHAR2(10 BYTE) , 
	"RECON_TYPE" VARCHAR2(1 BYTE) , 
	"RECON_RULE_TYPE" VARCHAR2(4 BYTE), 
	"RECON_RULE" VARCHAR2(10 BYTE), 
	"LHS_ENTITY" VARCHAR2(25 BYTE) , 
	"RHS_ENTITY" VARCHAR2(25 BYTE) , 
	"MAKER_ID" VARCHAR2(48 BYTE), 
	"MAKER_DT_STAMP" DATE, 
	"AUTH_ID" VARCHAR2(48 BYTE), 
	"AUTH_DT_STAMP" DATE, 
	"TRANSACTION_STATUS" VARCHAR2(20 BYTE), 
	"RECON_ACTION" VARCHAR2(20 BYTE), 
	"STAGE" VARCHAR2(20 BYTE), 
	"RECONCILE_BY" VARCHAR2(20 BYTE),
	"RECON_TXN_REF_NO" VARCHAR2(16 BYTE), 
	"MATCH_SEQ_NO" VARCHAR2(10 BYTE), 
	"INV_BUYER_ID" VARCHAR2(20 BYTE) , 
	"INV_SUPPLIER_ID" VARCHAR2(20 BYTE) , 
	"INV_BUYER_NAME" VARCHAR2(50 BYTE) , 
	"INV_SUPPLIER_NAME" VARCHAR2(50 BYTE) , 
	"INV_RELATION_CODE" VARCHAR2(20 BYTE), 
	"EXT_INV_REF_NO" VARCHAR2(40 BYTE) , 
	"INT_INV_REF_NO" VARCHAR2(20 BYTE) , 
	"INV_DATE" DATE , 
	"INV_DUE_DATE" DATE , 
	"NET_INV_AMT" NUMBER(28,4) , 
	"INV_CCY" VARCHAR2(3 BYTE) , 
	"INV_VIRTUAL_ACC_NO" VARCHAR2(35 BYTE), 
	"INV_OS_AMT" NUMBER(28,4) , 
	"INV_FINANCED" VARCHAR2(1 BYTE), 
	"AMT_MATCHED" NUMBER(28,4) , 
	"PAYMENT_REF_NO" VARCHAR2(50 BYTE) , 
	"PAYMENT_PARTY_ID" VARCHAR2(20 BYTE), 
	"PAYMENT_PARTY_NAME" VARCHAR2(50 BYTE), 
	"PAYMENT_DATE" DATE , 
	"PAYMENT_MODE" VARCHAR2(10 BYTE), 
	"BENE_CODE" VARCHAR2(30 BYTE), 
	"BENE_NAME" VARCHAR2(50 BYTE), 
	"PAYMENT_AMOUNT" NUMBER(28,4), 
	"PAYMENT_CCY" VARCHAR2(3 BYTE) , 
	"EXCH_RATE" NUMBER(24,12), 
	"RECONCILED_PMT_AMT" NUMBER(28,4) , 
	"BENE_VIRTUAL_ACC_NO" VARCHAR2(35 BYTE), 
	"PMT_STATUS" VARCHAR2(20 BYTE) , 
	"RECON_STATUS" VARCHAR2(12 BYTE) , 
	"EXT_PMT_REF_NO" VARCHAR2(50 BYTE)
   )';
end if;
end;