declare view_exists number;
begin
select count(1) into view_exists from USER_VIEWS where view_name = 'OBCM_TM_RELATIONSHIP';
if (view_exists = 0) then
execute immediate 'CREATE OR REPLACE VIEW OBCM_TM_RELATIONSHIP ("RELATIONSHIP_CODE", "AUTH_STAT", "RECORD_STAT", "MOD_NO", "CHECKER_DT_STAMP", "ONCE_AUTH", "MAKER_ID", "MAKER_DT_STAMP", "CHECKER_ID", "RELATIONSHIP_NAME", "CORPORATE_ID", "PRODUCT", "EFF_FROM_DATE", "AUTO_ACCEPTANCE", "NO_OF_DAYS", "COUNTER_PARTY_ID", "PARTY_TYPE") AS 
  SELECT RELM.RELATIONSHIP_CODE,
  RELM.AUTH_STAT,
  RELM.RECORD_STAT,
  RELM.MOD_NO,
  RELM.CHECKER_DT_STAMP,
  RELM.ONCE_AUTH,
  RELM.MAKER_ID,
  RELM.MAKER_DT_STAMP,
  RELM.CHECKER_ID,
  RELM.RELATIONSHIP_NAME,
  RELM.CORPORATE_ID,
  RELM.PRODUCT,
  RELM.EFF_FROM_DATE,
  RELM.AUTO_ACCEPTANCE,
  RELM.NO_OF_DAYS,
  RELD.COUNTERPARTYID,
  RELD.PARTY_TYPE
FROM OBCM_TM_RELATIONSHIP_MASTER RELM,
  OBCM_TM_RELATIONSHIP_DETAILS RELD
WHERE RELM.ID = RELD.RELATIONSHIP_MASTER_ID';
end if;
end;
/