declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'OB_RECON_ALLOC_PMT_TXN';

if (table_exists = 0) then
execute immediate 'CREATE TABLE "OB_RECON_ALLOC_PMT_TXN" 
   ("RECON_ALLOC_PMT_ID" NUMBER(28,4) ,
	"RECON_CATEGORY" VARCHAR2(25 BYTE) ,
	"BRANCH_CODE" VARCHAR2(10 BYTE) , 
	"RECON_TYPE" VARCHAR2(1 BYTE) , 
	"RECON_RULE_TYPE" VARCHAR2(4 BYTE), 
	"RECON_RULE" VARCHAR2(10 BYTE), 
	"LHS_ENTITY" VARCHAR2(25 BYTE) , 
	"RHS_ENTITY" VARCHAR2(25 BYTE) , 
	"MAKER_ID" VARCHAR2(48 BYTE), 
	"MAKER_DT_STAMP" DATE, 
	"AUTH_ID" VARCHAR2(48 BYTE), 
	"AUTH_DT_STAMP" DATE, 
	"TRANSACTION_STATUS" VARCHAR2(20 BYTE), 
	"STAGE" VARCHAR2(20 BYTE), 
	"RECONCILE_BY" VARCHAR2(20 BYTE),
    "MATCH_SEQ_NO" VARCHAR2(10 BYTE),
    "ALLOC_VIRTUAL_ACC_NO" VARCHAR2(50 BYTE), 
	"ALLOC_ENTITY" VARCHAR2(50 BYTE), 
	"ALLOC_ATTRIBUTES" VARCHAR2(150 BYTE), 
	"ALLOC_STATUS" VARCHAR2(50 BYTE), 
	"ALLOCATED_AMT" NUMBER(28,4), 
	"ALLOCATION_PCT" NUMBER(28,4), 
	"PMT_ALLOCATED_AMT" NUMBER(28,4), 
	"OBVAM_REF_NO" VARCHAR2(50 BYTE), 
	"CORPORATE_ID" VARCHAR2(50 BYTE), 
	"COUNTERPARTY_ID" VARCHAR2(50 BYTE), 
	"OBDX_REF_NO" VARCHAR2(50 BYTE), 
	"RECON_TXN_REF_NO" VARCHAR2(16 BYTE), 
	"BENEFICIARY_ID" VARCHAR2(25 BYTE), 
	"PAYMENT_PARTY_ID" VARCHAR2(50 BYTE), 
	"PAYMENT_DATE" DATE, 
	"PAYMENT_MODE" VARCHAR2(50 BYTE), 
	"BENE_CODE" VARCHAR2(10 BYTE), 
	"PAYMENT_AMOUNT" NUMBER(28,4), 
	"PAYMENT_CCY" VARCHAR2(3 BYTE), 
	"RECONCILED_PMT_AMT" NUMBER(24,12), 
	"BENE_VIRTUAL_ACC_NO" NUMBER(28,4), 
	"PMT_RECON_STATUS" VARCHAR2(35 BYTE), 
	"PMT_ALLOCATION_STATUS" VARCHAR2(35 BYTE), 
	"RECON_ACTION" VARCHAR2(20 BYTE), 
	"RECON_DATE" DATE, 
	"PAYMENT_REF_NO" VARCHAR2(50 BYTE), 
	"EXTERNAL_PMT_REF_NO" VARCHAR2(50 BYTE), 
	"REMITTER_ACC_NO" VARCHAR2(35 BYTE), 
	"CREDIT_ACC_NO" VARCHAR2(35 BYTE), 
	"DEBIT_CREDIT_INDICATOR" VARCHAR2(1 BYTE), 
	"RECON_ID" VARCHAR2(35 BYTE), 
	"IS_PMT_ACC_VA" VARCHAR2(3 BYTE), 
	"COUNTERPARTY_CODE" VARCHAR2(30 BYTE), 
	"PARTY_PAYMENT_CODE" VARCHAR2(30 BYTE), 
	"BENEFICIARY_CODE" VARCHAR2(30 BYTE), 
	"ACCOUNT_OWNER" VARCHAR2(20 BYTE), 
	"ALLOC_BASIS" VARCHAR2(20 BYTE), 
	"PAYMENT_PARTY_NAME" VARCHAR2(50 BYTE), 
	"CORPORATE_NAME" VARCHAR2(50 BYTE), 
	"COUNTERPARTY_NAME" VARCHAR2(50 BYTE), 
	"BENEFICIARY_NAME" VARCHAR2(50 BYTE)
   )';
end if;
end;