declare
col_exists number;
index_exists number;
invoice_id_null_exists number;
invoice_pk_exists number;
begin
select count(1) into col_exists from USER_TAB_COLS where table_name = 'SCFCM_INVOICE' and column_name = 'INVOICE_ID' and DATA_TYPE='NUMBER';
SELECT count(1) INTO index_exists FROM USER_INDEXES WHERE INDEX_NAME = 'INVOICE_PK';
SELECT count(1) INTO invoice_id_null_exists FROM all_tab_cols where table_name = 'SCFCM_INVOICE' and column_name = 'INVOICE_ID' and nullable = 'N';
SELECT count(1) INTO invoice_pk_exists FROM USER_CONSTRAINTS where table_name = 'SCFCM_INVOICE' and constraint_name  = 'SCF_INVOICE_PK';
if (col_exists = 1) then
if(invoice_pk_exists = 1) then
execute immediate 'Alter table SCFCM_INVOICE DROP CONSTRAINT SCF_INVOICE_PK';
end if;
if(index_exists > 0) then
execute immediate 'Drop Index INVOICE_PK';
end if;
execute immediate 'Alter table SCFCM_INVOICE Add INVOICE_ID_TEMP NUMBER';
execute immediate 'Update SCFCM_INVOICE set INVOICE_ID_TEMP=INVOICE_ID';
execute immediate 'commit';
if(invoice_id_null_exists = 1) then
execute immediate 'Alter table SCFCM_INVOICE MODIFY INVOICE_ID NULL';
end if;
execute immediate 'Update SCFCM_INVOICE set INVOICE_ID = NULL where INVOICE_ID is not null';
execute immediate 'commit';
execute immediate 'Alter table SCFCM_INVOICE modify INVOICE_ID VARCHAR2(40) ';
execute immediate 'Update SCFCM_INVOICE set  INVOICE_ID=INVOICE_ID_TEMP ';
execute immediate 'commit';
execute immediate 'Alter table SCFCM_INVOICE Drop column INVOICE_ID_TEMP ';
execute immediate 'Alter table SCFCM_INVOICE ADD CONSTRAINT SCF_INVOICE_PK PRIMARY KEY (INVOICE_ID) ';
end if;
end;
/
