declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'OB_INVOICE_SHIP_PARAMETERS_TM';
if (table_exists = 0) then
execute immediate 'CREATE TABLE OB_INVOICE_SHIP_PARAMETERS_TM
	(	
		"ID" VARCHAR2(50 BYTE) NOT NULL ENABLE, 
		"SEQ_NO" NUMBER(4,0) NOT NULL ENABLE,
		"INVOICE_REF_NO" VARCHAR2(40 BYTE),
		"TRANSACTION_REF_NO" VARCHAR2(100 BYTE),
		"SHIPMENT_REF_NO" VARCHAR2(100 BYTE),
		"SHIPMENT_NO" VARCHAR2(20 BYTE),
		"SHIPMENT_DATE"	DATE,
		"SHIPMENT_COUNTRY" VARCHAR2(3 BYTE),
		"SHIPMENT_ADDRESS" VARCHAR2(150 BYTE),
		"SHIPMENT_CITY" VARCHAR2(10 BYTE),
		"SHIPMENT_ZIP_CODE" VARCHAR2(10 BYTE),
		"SHIPMENT_PHONE_NUMBER" NUMBER(10,0),
		"SHIPMENT_TAX_ID" VARCHAR2(20 BYTE),
		"INVOICE_MASTER_ID" VARCHAR2(50 BYTE)	
	)';
end if;
end;
/
declare
constraint_exists number;
begin
select count(1) into constraint_exists from USER_CONSTRAINTS where table_name = 'OB_INVOICE_SHIP_PARAMETERS_TM' and constraint_name = 'OB_INVOICE_SHIP_PARAMETERS_TM_PK';
if (constraint_exists = 0) then
execute immediate 'ALTER TABLE OB_INVOICE_SHIP_PARAMETERS_TM ADD CONSTRAINT OB_INVOICE_SHIP_PARAMETERS_TM_PK PRIMARY KEY (ID)';
end if;
end;
/	