declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'OB_RECON_EXEC_TXN_TW';
if (table_exists = 0) then
execute immediate 'CREATE TABLE "OB_RECON_EXEC_TXN_TW" 
   (	"ID" VARCHAR2(50 BYTE) NOT NULL ENABLE, 
	"RECON_TXN_REF_NO" VARCHAR2(20 BYTE) NOT NULL ENABLE, 
	"RECON_CATEGORY" VARCHAR2(25 BYTE) NOT NULL ENABLE, 
	"RECON_DATE" DATE, 
	"BRANCH_CODE" VARCHAR2(10 BYTE) NOT NULL ENABLE, 
	"RECON_TYPE" VARCHAR2(1 BYTE) NOT NULL ENABLE, 
	"RECON_RULE_TYPE" VARCHAR2(4 BYTE), 
	"RECON_RULE" VARCHAR2(10 BYTE), 
	"LHS_ENTITY" VARCHAR2(25 BYTE) NOT NULL ENABLE, 
	"RHS_ENTITY" VARCHAR2(25 BYTE) NOT NULL ENABLE, 
	"MAKER_ID" VARCHAR2(48 BYTE), 
	"MAKER_DT_STAMP" DATE, 
	"AUTH_ID" VARCHAR2(48 BYTE), 
	"AUTH_DT_STAMP" DATE, 
	"TRANSACTION_STATUS" VARCHAR2(20 BYTE), 
	"RECON_ACTION" VARCHAR2(20 BYTE), 
	"STAGE" VARCHAR2(20 BYTE), 
	"RECONCILE_BY" VARCHAR2(20 BYTE), 
	"CORPORATE_ID" VARCHAR2(20 BYTE), 
	"ALLOC_BASIS" VARCHAR2(50 BYTE)	
	)';
end if;
end;
/
