declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'OB_RECON_INV_PMT_TXN_TW';
if (table_exists = 0) then
execute immediate 'CREATE TABLE "OB_RECON_INV_PMT_TXN_TW" 
   (	"ID" VARCHAR2(50 BYTE) NOT NULL ENABLE, 
	"RECON_TXN_REF_NO" VARCHAR2(20 BYTE), 
	"MATCH_SEQ_NO" VARCHAR2(10 BYTE), 
	"INV_BUYER_ID" VARCHAR2(20 BYTE) NOT NULL ENABLE, 
	"INV_SUPPLIER_ID" VARCHAR2(20 BYTE) NOT NULL ENABLE, 
	"INV_BUYER_NAME" VARCHAR2(50 BYTE) NOT NULL ENABLE, 
	"INV_SUPPLIER_NAME" VARCHAR2(50 BYTE) NOT NULL ENABLE, 
	"INV_RELATION_CODE" VARCHAR2(20 BYTE), 
	"EXT_INV_REF_NO" VARCHAR2(40 BYTE) NOT NULL ENABLE, 
	"INT_INV_REF_NO" VARCHAR2(20 BYTE) NOT NULL ENABLE, 
	"INV_DATE" DATE NOT NULL ENABLE, 
	"INV_DUE_DATE" DATE NOT NULL ENABLE, 
	"NET_INV_AMT" NUMBER(28,4) NOT NULL ENABLE, 
	"INV_CCY" VARCHAR2(3 BYTE) NOT NULL ENABLE, 
	"INV_VIRTUAL_ACC_NO" VARCHAR2(35 BYTE), 
	"INV_OS_AMT" NUMBER(28,4) NOT NULL ENABLE, 
	"INV_FINANCED" VARCHAR2(1 BYTE), 
	"AMT_MATCHED" NUMBER(28,4) NOT NULL ENABLE, 
	"PAYMENT_REF_NO" VARCHAR2(50 BYTE) NOT NULL ENABLE, 
	"PAYMENT_PARTY_ID" VARCHAR2(20 BYTE), 
	"PAYMENT_PARTY_NAME" VARCHAR2(50 BYTE), 
	"PAYMENT_DATE" DATE NOT NULL ENABLE, 
	"PAYMENT_MODE" VARCHAR2(20 BYTE), 
	"BENE_CODE" VARCHAR2(30 BYTE), 
	"BENE_NAME" VARCHAR2(50 BYTE), 
	"PAYMENT_AMOUNT" NUMBER(28,4), 
	"PAYMENT_CCY" VARCHAR2(3 BYTE) NOT NULL ENABLE, 
	"EXCH_RATE" NUMBER(24,12), 
	"RECONCILED_PMT_AMT" NUMBER(28,4) NOT NULL ENABLE, 
	"BENE_VIRTUAL_ACC_NO" VARCHAR2(35 BYTE), 
	"PMT_STATUS" VARCHAR2(20 BYTE) NOT NULL ENABLE, 
	"RECON_STATUS" VARCHAR2(12 BYTE) NOT NULL ENABLE, 
	"RECON_DATE" DATE, 
	"EXT_PMT_REF_NO" VARCHAR2(50 BYTE), 
	"ACCOUNT_NUMBER" VARCHAR2(50 BYTE), 
	"BENEFICIARY_ID" VARCHAR2(25 BYTE), 
	"EXT_SYS_REF_NO" VARCHAR2(50 BYTE), 
	"PAYMENT_COUNTERPARTY_ID" VARCHAR2(50 BYTE), 
	"REMITTER_ACC_NO" VARCHAR2(35 BYTE), 
	"DEBIT_CREDIT_INDICATOR" VARCHAR2(1 BYTE), 
	"REMARKS" VARCHAR2(150 BYTE), 
	"PMT_PROGRAM_CODE" VARCHAR2(20 BYTE), 
	"PMT_RELATIONSHIP_CODE" VARCHAR2(20 BYTE), 
	"INV_PROGRAM_CODE" VARCHAR2(20 BYTE), 
	"ACCOUNT_OWNER" VARCHAR2(30 BYTE), 
	"IS_INV_ACC_VA" VARCHAR2(3 BYTE), 
	"IS_PMT_ACC_VA" VARCHAR2(3 BYTE), 
	"PARTY_PAYMENT_CODE" VARCHAR2(35 BYTE), 
	"COUNTERPARTY_CODE" VARCHAR2(35 BYTE), 
	"ALLOCATION_REQUIRED" VARCHAR2(1 BYTE), 
	"LINKED_DE_RECON_TXN_REF" VARCHAR2(20 BYTE), 
	"DE_RECON_FLAG" VARCHAR2(1 BYTE), 
	"PAYMENT_COUNTERPARTY_NAME" VARCHAR2(50 BYTE), 
	"PAYMENT_DUE_DATE" DATE, 
	"CORPORATE_ID" VARCHAR2(20 BYTE), 
	"IS_PUA" VARCHAR2(1 BYTE), 
	"IS_INDIRECT_PAYMENT" VARCHAR2(1 BYTE), 
	"PAYMENT_PARTY" VARCHAR2(50 BYTE), 
	"IMPORT_FACTOR_ID" VARCHAR2(20 BYTE), 
	"IMPORT_FACTOR_NAME" VARCHAR2(100 BYTE), 
	"INSURANCE_CO_ID" VARCHAR2(20 BYTE), 
	"INSURANCE_CO_NAME" VARCHAR2(100 BYTE), 
	"VARIANCE_AMOUNT" NUMBER(28,4), 
	"INV_BASE_AMOUNT" NUMBER(28,4), 
	"PAYMENT_BUSINESS_DATE" DATE, 
	"FLAG" VARCHAR2(1 BYTE)
	)';
end if;
end;
/
