declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'OB_RECON_INV_CN_TXN_TW';
if (table_exists = 0) then
execute immediate 'CREATE TABLE "OB_RECON_INV_CN_TXN_TW" 
   (	"ID" VARCHAR2(50 BYTE) , 
	"SEQ_NO" NUMBER(4,0), 
	"CN_NUMBER" VARCHAR2(25 BYTE) , 
	"CN_DATE" DATE, 
	"CN_EXPIRY_DATE" DATE, 
	"CN_BUYER_CODE" VARCHAR2(100 BYTE), 
	"CN_BUYER_ID" VARCHAR2(20 BYTE), 
	"CN_SUPPLIER_CODE" VARCHAR2(100 BYTE), 
	"CN_SUPPLIER_ID" VARCHAR2(20 BYTE), 
	"CN_BUYER_DIV_CODE" VARCHAR2(20 BYTE), 
	"CN_SUPPLIER_DIV_CODE" VARCHAR2(20 BYTE), 
	"CN_SUPPLIER_NAME" VARCHAR2(50 BYTE), 
	"CN_BUYER_NAME" VARCHAR2(50 BYTE), 
	"CN_CURRENCY" VARCHAR2(3 BYTE), 
	"CN_BASE_AMOUNT" NUMBER(28,4), 
	"NET_CN_AMOUNT" NUMBER(28,4), 
	"CN_PROGRAM_CODE" VARCHAR2(20 BYTE), 
	"CN_RECON_STATUS" VARCHAR2(20 BYTE), 
	"PROC_BRANCH_CODE" VARCHAR2(30 BYTE), 
	"PROC_BRANCH_DATE" DATE, 
	"CN_INTERNAL_ID" VARCHAR2(36 BYTE), 
	"REMARKS" VARCHAR2(200 BYTE), 
	"FILLER_1" DATE, 
	"FILLER_2" DATE, 
	"FILLER_3" VARCHAR2(25 BYTE), 
	"FILLER_4" VARCHAR2(25 BYTE), 
	"FILLER_5" VARCHAR2(25 BYTE), 
	"FILLER_6" VARCHAR2(25 BYTE), 
	"FILLER_7" VARCHAR2(25 BYTE), 
	"FILLER_8" VARCHAR2(25 BYTE), 
	"FILLER_9" VARCHAR2(25 BYTE), 
	"FILLER_10" VARCHAR2(25 BYTE), 
	"INT_INV_REF_NO" VARCHAR2(20 BYTE) , 
	"INV_BUYER_ID" VARCHAR2(20 BYTE) , 
	"INV_BUYER_NAME" VARCHAR2(50 BYTE) , 
	"INV_CCY" VARCHAR2(3 BYTE) , 
	"INV_DATE" DATE , 
	"INV_DUE_DATE" DATE , 
	"INV_FINANCED" VARCHAR2(1 BYTE), 
	"INV_OS_AMT" NUMBER(28,4) , 
	"INV_PROGRAM_CODE" VARCHAR2(20 BYTE), 
	"INV_RELATION_CODE" VARCHAR2(20 BYTE), 
	"INV_SUPPLIER_ID" VARCHAR2(20 BYTE) , 
	"EXT_INV_REF_NO" VARCHAR2(40 BYTE) , 
	"INV_SUPPLIER_NAME" VARCHAR2(50 BYTE) , 
	"INV_VIRTUAL_ACC_NO" VARCHAR2(35 BYTE), 
	"NET_INV_AMT" NUMBER(28,4) , 
	"VARIANCE_AMOUNT" NUMBER(28,4), 
	"ACCOUNT_NUMBER" VARCHAR2(50 BYTE), 
	"ACCOUNT_OWNER" VARCHAR2(30 BYTE), 
	"AMT_MATCHED" NUMBER(28,4) , 
	"CORPORATE_ID" VARCHAR2(20 BYTE), 
	"DE_RECON_FLAG" VARCHAR2(1 BYTE), 
	"EXCH_RATE" NUMBER(24,12), 
	"IMPORT_FACTOR_ID" VARCHAR2(20 BYTE), 
	"IMPORT_FACTOR_NAME" VARCHAR2(100 BYTE), 
	"INSURANCE_CO_ID" VARCHAR2(20 BYTE), 
	"INSURANCE_CO_NAME" VARCHAR2(100 BYTE), 
	"EXT_SYS_REF_NO" VARCHAR2(50 BYTE), 
	"IS_INV_ACC_VA" VARCHAR2(3 BYTE), 
	"IS_CN_ACC_VA" VARCHAR2(3 BYTE), 
	"LINKED_DE_RECON_TXN_REF" VARCHAR2(20 BYTE), 
	"RECONCILED_CN_AMT" NUMBER(28,4), 
	"RECON_DATE" DATE, 
	"RECON_STATUS" VARCHAR2(12 BYTE) , 
	"RECON_TXN_REF_NO" VARCHAR2(20 BYTE), 
	"REMITTER_ACC_NO" VARCHAR2(35 BYTE), 
	"CN_RELATION_CODE" VARCHAR2(100 BYTE), 
	"INV_BASE_AMOUNT" NUMBER(28,4), 
	"PAYMENT_DUE_DATE" DATE
	)';
end if;
end;
/
