declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'OB_EXP_DRCR_PMT_TW';
if (table_exists = 0) then
execute immediate 'CREATE TABLE "OB_EXP_DRCR_PMT_TW" 
   (	"ID" VARCHAR2(50 BYTE), 
	"RECON_TXN_REF_NO" VARCHAR2(20 BYTE), 
	"MATCH_SEQ_NO" VARCHAR2(10 BYTE), 
	"EXP_DRCR_CCY" VARCHAR2(3 BYTE), 
	"EXP_DRCR_VIRTUAL_ACC_NO" VARCHAR2(35 BYTE), 
	"AMT_MATCHED" NUMBER(28,4), 
	"PAYMENT_PARTY_ID" VARCHAR2(50 BYTE), 
	"PAYMENT_PARTY_NAME" VARCHAR2(20 BYTE), 
	"PAYMENT_DATE" DATE, 
	"PAYMENT_MODE" VARCHAR2(50 BYTE), 
	"BENE_CODE" VARCHAR2(10 BYTE), 
	"BENE_NAME" VARCHAR2(30 BYTE), 
	"PAYMENT_AMOUNT" VARCHAR2(50 BYTE), 
	"PAYMENT_CCY" VARCHAR2(3 BYTE), 
	"EXCH_RATE" NUMBER(24,12), 
	"RECONCILED_PMT_AMT" NUMBER(24,12), 
	"BENE_VIRTUAL_ACC_NO" VARCHAR2(50 BYTE), 
	"PMT_STATUS" VARCHAR2(35 BYTE), 
	"RECON_STATUS" VARCHAR2(20 BYTE), 
	"RECON_DATE" DATE, 
	"EXP_DRCR_CODE" VARCHAR2(10 BYTE), 
	"EXP_DRCR_CODE_DESC" VARCHAR2(100 BYTE), 
	"EXP_DRCR_INDICATOR" VARCHAR2(1 BYTE), 
	"EXP_DRCR_BANK_ACC_NUMBER" VARCHAR2(50 BYTE), 
	"EXP_DRCR_NARRATION" VARCHAR2(50 BYTE), 
	"EXP_DRCR_AMT" NUMBER(28,4), 
	"EXTERNAL_ACC_NO" VARCHAR2(50 BYTE), 
	"EXP_DRCR_DATE" DATE, 
	"REVISED_DRCR_DATE" DATE, 
	"EXP_DRCR_REF_NO" VARCHAR2(50 BYTE), 
	"PAYMENT_REF_NO" VARCHAR2(50 BYTE), 
	"EXTERNAL_PMT_REF_NO" VARCHAR2(50 BYTE), 
	"EXTERNAL_DRCR_REF_NO" VARCHAR2(50 BYTE), 
	"CORPORATE_ID" VARCHAR2(50 BYTE), 
	"COUNTERPARTY_ID" VARCHAR2(50 BYTE), 
	"EXT_SYS_REF_NO" VARCHAR2(50 BYTE), 
	"UDF_TX1" VARCHAR2(100 BYTE), 
	"UDF_TX2" VARCHAR2(100 BYTE), 
	"UDF_TX3" VARCHAR2(100 BYTE), 
	"UDF_TX4" VARCHAR2(100 BYTE), 
	"UDF_TX5" VARCHAR2(100 BYTE), 
	"UDF_TX6" VARCHAR2(100 BYTE), 
	"UDF_TX7" VARCHAR2(100 BYTE), 
	"UDF_TX8" VARCHAR2(100 BYTE), 
	"UDF_TX9" VARCHAR2(100 BYTE), 
	"UDF_TX10" VARCHAR2(100 BYTE), 
	"CASHFLOW_TYPE" VARCHAR2(1 BYTE), 
	"ACTUAL_DATE" DATE, 
	"APPLICATION_NAME" VARCHAR2(50 BYTE), 
	"CHANNEL" VARCHAR2(10 BYTE), 
	"COUNTERPARTY_NAME" VARCHAR2(50 BYTE), 
	"PAYMENT_COUNTERPARTY_ID" VARCHAR2(50 BYTE), 
	"REMITTER_ACC_NO" VARCHAR2(35 BYTE), 
	"DEBIT_CREDIT_INDICATOR" VARCHAR2(1 BYTE), 
	"ACCOUNT_OWNER" VARCHAR2(30 BYTE), 
	"IS_PMT_ACC_VA" VARCHAR2(3 BYTE), 
	"PAYMENT_COUNTERPARTY_NAME" VARCHAR2(35 BYTE), 
	"ALLOCATION_REQUIRED" VARCHAR2(1 BYTE), 
	"LINKED_DE_RECON_TXN_REF" VARCHAR2(20 BYTE), 
	"DE_RECON_FLAG" VARCHAR2(1 BYTE), 
	"CORPORATE_NAME" VARCHAR2(50 BYTE), 
	"CUSTOMER_REF_NO" VARCHAR2(50 BYTE), 
	"REMARKS" VARCHAR2(150 BYTE), 
	"BENEFICIARY_ID" VARCHAR2(20 BYTE), 
	"PAYMENT_COUNTERPARTY_CODE" VARCHAR2(30 BYTE), 
	"PARTY_PAYMENT_CODE" VARCHAR2(30 BYTE), 
	"PMT_RELATIONSHIP_CODE" VARCHAR2(20 BYTE), 
	"PMT_PROGRAM_CODE" VARCHAR2(20 BYTE), 
	"VARIANCE_AMOUNT" NUMBER(28,4), 
	"PAYMENT_BUSINESS_DATE" DATE, 
	"FLAG" VARCHAR2(1 BYTE)
	)';
end if;
end;
/
