declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'SCF_TW_EXT_ACC_MAP_MASTER';

if (table_exists = 0) then
execute immediate 'CREATE TABLE "SCF_TW_EXT_ACC_MAP_MASTER" 
   (	"ACTION" VARCHAR2(50 BYTE), 
	"KEY_ID" VARCHAR2(200 BYTE), 
	"CHECKER_REMARKS" VARCHAR2(200 BYTE), 
	"MAKER_REMARKS" VARCHAR2(200 BYTE), 
	"ACCOUNT_NUMBER" VARCHAR2(20 BYTE) NOT NULL ENABLE, 
	"AUTH_STAT" VARCHAR2(1 BYTE), 
	"BANK_ID" VARCHAR2(10 BYTE), 
	"BANK_NAME" VARCHAR2(35 BYTE), 
	"BRANCH_CODE" VARCHAR2(3 BYTE) NOT NULL ENABLE, 
	"BRANCH_NAME" VARCHAR2(105 BYTE), 
	"CHECKER_DT_STAMP" DATE, 
	"CHECKER_ID" VARCHAR2(192 BYTE), 
	"DEFAULT_ACCOUNT" CHAR(1 BYTE), 
	"EVENT_CODE" VARCHAR2(20 BYTE) NOT NULL ENABLE, 
	"FILTER_ATTR1" VARCHAR2(300 BYTE), 
	"FILTER_ATTR2" VARCHAR2(300 BYTE), 
	"FILTER_ATTR3" VARCHAR2(300 BYTE), 
	"FILTER_ATTR4" VARCHAR2(300 BYTE), 
	"FILTER_ATTR5" VARCHAR2(300 BYTE), 
	"FILTER_CRITERIA" VARCHAR2(50 BYTE), 
	"ID" VARCHAR2(1024 BYTE) NOT NULL ENABLE, 
	"IFSC_CODE" VARCHAR2(11 BYTE), 
	"MAKER_DT_STAMP" DATE, 
	"MAKER_ID" VARCHAR2(192 BYTE), 
	"MOD_NO" NUMBER(4,0), 
	"ONCE_AUTH" VARCHAR2(1 BYTE), 
	"PARTY_ID" VARCHAR2(20 BYTE), 
	"PAYMENT_MODE" VARCHAR2(14 BYTE) NOT NULL ENABLE, 
	"PRODUCT_CODE" VARCHAR2(4 BYTE) NOT NULL ENABLE, 
	"RECORD_STAT" VARCHAR2(1 BYTE), 
	"APPLICATION_CODE" VARCHAR2(20 BYTE), 
	"ACCOUNT_CCY" VARCHAR2(20 BYTE)
   )';
end if;
end;
/
declare
index_exists number;
begin
select count(1) into index_exists from USER_INDEXES where index_name = 'PK_SCF_TW_EXT_ACC_MAP_MASTER';

if (index_exists = 0) then
execute immediate 'CREATE UNIQUE INDEX "PK_SCF_TW_EXT_ACC_MAP_MASTER" ON "SCF_TW_EXT_ACC_MAP_MASTER" ("ID")';
end if;
end;
/
declare
constraint_exists number;
begin
select count(1) into constraint_exists from USER_CONSTRAINTS where table_name = 'SCF_TW_EXT_ACC_MAP_MASTER' and constraint_name = 'PK_SCF_TW_EXT_ACC_MAP_MASTER';

if (constraint_exists = 0) then
execute immediate 'ALTER TABLE "SCF_TW_EXT_ACC_MAP_MASTER" ADD CONSTRAINT "PK_SCF_TW_EXT_ACC_MAP_MASTER" PRIMARY KEY ("ID")';
end if;
end;