declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'ACCOUNT_POST_TM';

if (table_exists = 0) then
execute immediate 'CREATE TABLE "ACCOUNT_POST_TM" 
   (	"ID" VARCHAR2(50 BYTE) NOT NULL ENABLE, 
	"REF_NO" VARCHAR2(25 BYTE) NOT NULL ENABLE, 
	"SEQ_NO" NUMBER(2,0), 
	"ACCOUNTING_ENTRY_CODE" VARCHAR2(30 BYTE) NOT NULL ENABLE, 
	"DR_CR_INDICATOR" CHAR(1 BYTE), 
	"AMOUNT_CCY" CHAR(3 BYTE), 
	"AMOUNT" NUMBER(28,4), 
	"ACC_CCY" CHAR(3 BYTE), 
	"AMOUNT_ACC_CCY" NUMBER(28,4), 
	"ACCOUNT_NO" VARCHAR2(20 BYTE), 
	"EXCHANGE_RATE" NUMBER(28,4), 
	"STATUS" VARCHAR2(10 BYTE), 
	"AMOUNT_TYPE" VARCHAR2(40 BYTE), 
	"ACCOUNTING_ROLE_CODE" VARCHAR2(20 BYTE), 
	"ACCOUNTING_PARTY_TYPE" VARCHAR2(50 BYTE), 
	"ACCOUNTING_PARTY_ID" VARCHAR2(20 BYTE), 
	"ACC_SETTLEMENT_METHOD" VARCHAR2(20 BYTE), 
	"ACCOUNTING_ENTRY_SEQ" NUMBER(2,0), 
	"ACC_ROLE_DESCRIPTION" VARCHAR2(105 BYTE), 
	"ACC_ENTRY_DESCRIPTION" VARCHAR2(105 BYTE), 
	"ACC_TYPE" VARCHAR2(3 BYTE), 
	"ECA_REF_NO" VARCHAR2(20 BYTE), 
	"EVENT_SR_NO" NUMBER, 
	"EXTERNAL_BANK_NAME" VARCHAR2(35 BYTE), 
	"PAYMENT_MODE" VARCHAR2(14 BYTE), 
	"EXTERNAL_BRANCH_NAME" VARCHAR2(105 BYTE), 
	"EXTERNAL_ACCOUNT" VARCHAR2(20 BYTE), 
	"EXTERNAL_ACCOUNT_CCY" VARCHAR2(20 BYTE), 
	"EXTERNAL_BRANCH_ROUTING_CODE" VARCHAR2(20 BYTE), 
	"EXTERNAL_BANK_ID" VARCHAR2(16 BYTE), 
	"EXTERNAL_BRANCH_CODE" VARCHAR2(12 BYTE), 
	"STAGE" VARCHAR2(20 BYTE), 
	"MAKER_ID" VARCHAR2(48 CHAR), 
	"MAKER_DT_STAMP" DATE, 
	"CHECKER_ID" VARCHAR2(48 CHAR), 
	"CHECKER_DT_STAMP" DATE, 
	"ADDITIONAL_FIELD1" VARCHAR2(50 BYTE), 
	"ADDITIONAL_FIELD2" VARCHAR2(50 BYTE), 
	"ADDITIONAL_FIELD3" VARCHAR2(50 BYTE), 
	"ADDITIONAL_FIELD4" VARCHAR2(50 BYTE), 
	"ADDITIONAL_FIELD5" VARCHAR2(50 BYTE), 
	"ADDITIONAL_FIELD6" VARCHAR2(50 BYTE), 
	"ADDITIONAL_FIELD7" VARCHAR2(50 BYTE), 
	"ADDITIONAL_FIELD8" VARCHAR2(50 BYTE), 
	"ADDITIONAL_FIELD9" VARCHAR2(50 BYTE), 
	"ADDITIONAL_FIELD10" VARCHAR2(50 BYTE), 
	"APPLICATION_CODE" VARCHAR2(20 BYTE), 
	"ACTUAL_POSTING_AMOUNT" NUMBER(28,4), 
	"PROCESSING_DATE" DATE, 
	"VALUE_DATE" DATE, 
	"TXN_BRANCH_CODE" VARCHAR2(12 BYTE), 
	"EVENT_CODE" VARCHAR2(20 BYTE), 
	"PRODUCT_CODE" VARCHAR2(4 BYTE), 
	"POSTING_REF_NO" VARCHAR2(16 BYTE), 
	"POSTING_STATUS" VARCHAR2(10 BYTE), 
	"ECA_STATUS" VARCHAR2(10 BYTE), 
	"POSTING_ERROR_CODE" VARCHAR2(200 BYTE), 
	"ECA_ERROR_CODE" VARCHAR2(200 BYTE), 
	"BLK_REF_NO" VARCHAR2(50 BYTE), 
	"ACC_CLASS" VARCHAR2(5 BYTE), 
	"VA_CONTRA_ACCOUNT_NO" VARCHAR2(20 BYTE), 
	"VAM_POSTING_REF_NO" VARCHAR2(100 BYTE), 
	"VAM_POSTING_STATUS" VARCHAR2(20 BYTE), 
	"CLEARING_REF_NO" VARCHAR2(50 BYTE), 
	"PAYMENT_STATUS" VARCHAR2(20 BYTE), 
	"PAYMENT_REF_NO" VARCHAR2(50 BYTE), 
	"EXT_PAYMENT_ERROR_CODE" VARCHAR2(200 BYTE), 
	"EXTERNAL_BANK_IFSC_CODE" VARCHAR2(20 BYTE)
  )';
end if;
end;