declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'SCF_TM_ACC_ROLE_MASTER';

if (table_exists = 0) then
execute immediate 'CREATE TABLE "SCF_TM_ACC_ROLE_MASTER" 
   (	"ID" VARCHAR2(256 CHAR) NOT NULL ENABLE, 
	"MOD_NO" NUMBER(4,0) NOT NULL ENABLE, 
	"ACC_ROLE_CODE" VARCHAR2(20 BYTE) NOT NULL ENABLE, 
	"ACC_ROLE_DESCRIPTION" VARCHAR2(105 BYTE) NOT NULL ENABLE, 
	"MAKER_ID" VARCHAR2(48 CHAR), 
	"MAKER_DT_STAMP" DATE, 
	"CHECKER_ID" VARCHAR2(48 CHAR), 
	"CHECKER_DT_STAMP" DATE, 
	"ONCE_AUTH" VARCHAR2(1 CHAR), 
	"RECORD_STAT" VARCHAR2(1 CHAR), 
	"AUTH_STAT" VARCHAR2(1 CHAR)
   )';
end if;
end;
/
declare
index_exists number;
begin
select count(1) into index_exists from USER_INDEXES where index_name = 'SCF_TM_ACC_ROLE_MASTER_PK';

if (index_exists = 0) then
execute immediate 'CREATE UNIQUE INDEX "SCF_TM_ACC_ROLE_MASTER_PK" ON "SCF_TM_ACC_ROLE_MASTER" ("ID")';
end if;
end;
/
declare
constraint_exists number;
begin
select count(1) into constraint_exists from USER_CONSTRAINTS where table_name = 'SCF_TM_ACC_ROLE_MASTER' and constraint_name = 'SCF_TM_ACC_ROLE_MASTER_PK';

if (constraint_exists = 0) then
execute immediate 'ALTER TABLE "SCF_TM_ACC_ROLE_MASTER" ADD CONSTRAINT "SCF_TM_ACC_ROLE_MASTER_PK" PRIMARY KEY ("ID")';
end if;
end;