declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'SCF_TM_ACC_ENTRY_MASTER';

if (table_exists = 0) then
execute immediate 'CREATE TABLE "SCF_TM_ACC_ENTRY_MASTER" 
   (	"ID" VARCHAR2(256 CHAR) NOT NULL ENABLE, 
	"MOD_NO" NUMBER(4,0) NOT NULL ENABLE, 
	"BRANCH_CODE" VARCHAR2(3 BYTE) NOT NULL ENABLE, 
	"PRODUCT_CODE" VARCHAR2(4 BYTE) NOT NULL ENABLE, 
	"EVENT_CODE" VARCHAR2(20 BYTE) NOT NULL ENABLE, 
	"MAKER_ID" VARCHAR2(48 CHAR), 
	"MAKER_DT_STAMP" DATE, 
	"CHECKER_ID" VARCHAR2(48 CHAR), 
	"CHECKER_DT_STAMP" DATE, 
	"ONCE_AUTH" VARCHAR2(1 CHAR), 
	"RECORD_STAT" VARCHAR2(1 CHAR), 
	"AUTH_STAT" VARCHAR2(1 CHAR), 
	"FILTER_CRITERIA" VARCHAR2(50 BYTE) NOT NULL ENABLE, 
	"FILTER_ATTR1" VARCHAR2(300 BYTE), 
	"FILTER_ATTR2" VARCHAR2(300 BYTE), 
	"FILTER_ATTR3" VARCHAR2(300 BYTE), 
	"FILTER_ATTR4" VARCHAR2(300 BYTE), 
	"FILTER_ATTR5" VARCHAR2(300 BYTE), 
	"APPLICATION_CODE" VARCHAR2(20 BYTE), 
	"FILTER_ATTR6" VARCHAR2(300 BYTE), 
	"FILTER_ATTR7" VARCHAR2(300 BYTE), 
	"FILTER_ATTR8" VARCHAR2(300 BYTE), 
	"FILTER_ATTR9" VARCHAR2(300 BYTE), 
	"FILTER_ATTR10" VARCHAR2(300 BYTE)
   )';
end if;
end;
/
declare
index_exists number;
begin
select count(1) into index_exists from USER_INDEXES where index_name = 'SCF_TM_ACC_ENTRY_MASTER_PK';

if (index_exists = 0) then
execute immediate 'CREATE UNIQUE INDEX "SCF_TM_ACC_ENTRY_MASTER_PK" ON "SCF_TM_ACC_ENTRY_MASTER" ("ID")';
end if;
end;
/
declare
constraint_exists number;
begin
select count(1) into constraint_exists from USER_CONSTRAINTS where table_name = 'SCF_TM_ACC_ENTRY_MASTER' and constraint_name = 'SCF_TM_ACC_ENTRY_MASTER_PK';

if (constraint_exists = 0) then
execute immediate 'ALTER TABLE "SCF_TM_ACC_ENTRY_MASTER" ADD CONSTRAINT "SCF_TM_ACC_ENTRY_MASTER_PK" PRIMARY KEY ("ID")';
end if;
end;