DECLARE
  table_exists NUMBER;
BEGIN
  SELECT COUNT(1)
  INTO table_exists
  FROM USER_TABLES
  WHERE table_name = 'OB_FINANCE_TXN_TW_DETAILS';
  IF (table_exists = 0) THEN
    EXECUTE immediate 'CREATE TABLE OB_FINANCE_TXN_TW_DETAILS  
(    
	"ID" VARCHAR2(256 BYTE) NOT NULL ENABLE, 
	"TXN_REF_NO" VARCHAR2(50 BYTE) NOT NULL ENABLE, 
	"BUYER_ID" VARCHAR2(20 BYTE), 
	"BUYER_NAME" VARCHAR2(50 BYTE), 
	"SUPPLIER_ID" VARCHAR2(20 BYTE), 
	"SUPPLIER_NAME" VARCHAR2(50 BYTE), 
	"FINANCE_CCY" VARCHAR2(3 BYTE), 
	"FINANCE_START_DATE" DATE, 
	"FINANCE_DUE_DATE" DATE, 
	"FINANCE_AMT" NUMBER(28,4), 
	"PRODUCT_CODE" VARCHAR2(10 BYTE), 
	"PROGRAM_CODE" VARCHAR2(20 BYTE), 
	"EVENT_CODE" VARCHAR2(20 BYTE), 
	"OUTSTANDING_AMT" NUMBER, 
	"REPAYMENT_AMT" NUMBER, 
	"PRODUCT_DESCRIPTION" VARCHAR2(105 BYTE), 
	"PROCESSING_DATE" DATE
)';
  END IF;
END;