DECLARE
  table_exists NUMBER;
BEGIN
  SELECT COUNT(1)
  INTO table_exists
  FROM USER_TABLES
  WHERE table_name = 'OB_INVOICE_TXN_TW_DETAILS';
  IF (table_exists = 0) THEN
    EXECUTE immediate 'CREATE TABLE OB_INVOICE_TXN_TW_DETAILS  
(    
	"OB_INV_TXN_ID" VARCHAR2(256 BYTE) NOT NULL ENABLE, 
	"TXN_REF_NO" VARCHAR2(50 BYTE) NOT NULL ENABLE, 
	"INVOICE_REF_NO" VARCHAR2(40 BYTE), 
	"INVOICE_STATUS" VARCHAR2(20 BYTE), 
	"INVOICE_DATE" DATE, 
	"INVOICE_DUE_DATE" DATE, 
	"CURRENCY" VARCHAR2(3 BYTE), 
	"NET_INVOICE_AMOUNT" NUMBER(28,4), 
	"ACCEPTANCE_AMOUNT" NUMBER(28,4), 
	"BUYER_ID" VARCHAR2(20 BYTE), 
	"SUPPLIER_ID" VARCHAR2(20 BYTE), 
	"PROGRAM_CODE" VARCHAR2(20 BYTE), 
	"RELATION" VARCHAR2(100 BYTE), 
	"BUYER_NAME" VARCHAR2(50 BYTE), 
	"SUPPLIER_NAME" VARCHAR2(50 BYTE), 
	"EXT_INVOICE_REF_NO" VARCHAR2(40 BYTE), 
	"PROCESSING_DATE" DATE, 
	"EVENT" VARCHAR2(20 BYTE)
)';
  END IF;
END;