declare
col_exists1 number;
col_exists2 number;
col_exists3 number;
col_exists4 number;
 
begin
 
select count(1) into col_exists1 from USER_TAB_COLS where table_name = 'SCFCM_PAYMENT' and column_name = 'ID';
select count(1) into col_exists2 from USER_TAB_COLS where table_name = 'SCFCM_PAYMENT' and column_name = 'IS_PUA';
select count(1) into col_exists3 from USER_TAB_COLS where table_name = 'SCFCM_PAYMENT' and column_name = 'IS_INDIRECT_PAYMENT';
select count(1) into col_exists4 from USER_TAB_COLS where table_name = 'SCFCM_PAYMENT' and column_name = 'LAST_ACTION_PERFORMED';
 
if (col_exists1 = 0) then
execute immediate 'alter table SCFCM_PAYMENT add (ID VARCHAR2(40))';
end if;
if (col_exists2 = 0) then
execute immediate 'alter table SCFCM_PAYMENT add (IS_PUA VARCHAR2(1))';
end if;
if (col_exists3 = 0) then
execute immediate 'alter table SCFCM_PAYMENT add (IS_INDIRECT_PAYMENT VARCHAR2(1))';
end if;
if (col_exists4 = 0) then
execute immediate 'alter table SCFCM_PAYMENT add (LAST_ACTION_PERFORMED VARCHAR2(100))';
end if;
end;
/
DECLARE
    col_exists NUMBER;
BEGIN
    SELECT
        COUNT(1)
    INTO col_exists
    FROM
        user_tab_cols
    WHERE
            table_name = 'SCFCM_PAYMENT'
        AND column_name = 'REFUND_AMOUNT';
 
    IF ( col_exists = 0 ) THEN
        EXECUTE IMMEDIATE 'ALTER TABLE "SCFCM_PAYMENT" ADD REFUND_AMOUNT NUMBER(28,4)';
    END IF;
END;
/


DECLARE
    col_exists NUMBER;
BEGIN
    SELECT
        COUNT(1)
    INTO col_exists
    FROM
        user_tab_cols
    WHERE
            table_name = 'SCFCM_PAYMENT'
        AND column_name = 'EXCESS_HANDLING';
 
    IF ( col_exists = 0 ) THEN
        EXECUTE IMMEDIATE 'ALTER TABLE "SCFCM_PAYMENT" ADD EXCESS_HANDLING VARCHAR2(50 BYTE)';
    END IF;
END;
/
 
DECLARE
    col_exists NUMBER;
BEGIN
    SELECT
        COUNT(1)
    INTO col_exists
    FROM
        user_tab_cols
    WHERE
            table_name = 'SCFCM_PAYMENT'
        AND column_name = 'EXCESS_REFUND_PARTY';
 
    IF ( col_exists = 0 ) THEN
        EXECUTE IMMEDIATE 'ALTER TABLE "SCFCM_PAYMENT" ADD EXCESS_REFUND_PARTY VARCHAR2(20 BYTE)';
    END IF;
END;
/
 
DECLARE
    col_exists NUMBER;
BEGIN
    SELECT
        COUNT(1)
    INTO col_exists
    FROM
        user_tab_cols
    WHERE
            table_name = 'SCFCM_PAYMENT'
        AND column_name = 'EXCESS_REFUND_PAYMENT_MODE';
 
    IF ( col_exists = 0 ) THEN
        EXECUTE IMMEDIATE 'ALTER TABLE "SCFCM_PAYMENT" ADD EXCESS_REFUND_PAYMENT_MODE VARCHAR2(20 BYTE)';
    END IF;
END;
/
 
 
DECLARE
    col_exists NUMBER;
BEGIN
    SELECT
        COUNT(1)
    INTO col_exists
    FROM
        user_tab_cols
    WHERE
            table_name = 'SCFCM_PAYMENT'
        AND column_name = 'EXCESS_REFUND_PARTY_ID';
 
    IF ( col_exists = 0 ) THEN
        EXECUTE IMMEDIATE 'ALTER TABLE "SCFCM_PAYMENT" ADD EXCESS_REFUND_PARTY_ID VARCHAR2(20 BYTE)';
    END IF;
END;
/
 
DECLARE
    col_exists NUMBER;
BEGIN
    SELECT
        COUNT(1)
    INTO col_exists
    FROM
        user_tab_cols
    WHERE
            table_name = 'SCFCM_PAYMENT'
        AND column_name = 'PARENT_PAYMENT_REF_NO';
 
    IF ( col_exists = 0 ) THEN
        EXECUTE IMMEDIATE 'ALTER TABLE "SCFCM_PAYMENT" ADD PARENT_PAYMENT_REF_NO VARCHAR2(50 BYTE)';
    END IF;
END;
/

COMMIT;