DECLARE COL_EXISTS NUMBER;
BEGIN
 SELECT COUNT(1) INTO COL_EXISTS FROM USER_TAB_COLS WHERE TABLE_NAME = 'OBCM_TM_RELATIONSHIP_MASTER' AND COLUMN_NAME = 'PAY_AUTO_DEBIT_APPLICABLE';
 IF (COL_EXISTS = 0) THEN
 EXECUTE IMMEDIATE 'ALTER TABLE OBCM_TM_RELATIONSHIP_MASTER ADD (PAY_AUTO_DEBIT_APPLICABLE VARCHAR2(1) DEFAULT ''N'')';
 END IF;
 COL_EXISTS:=0;
 SELECT COUNT(1) INTO COL_EXISTS FROM USER_TAB_COLS WHERE TABLE_NAME = 'OBCM_TM_RELATIONSHIP_MASTER' AND COLUMN_NAME = 'PAY_HOLIDAY_TREATMENT';
 IF (COL_EXISTS = 0) THEN
 EXECUTE IMMEDIATE 'ALTER TABLE OBCM_TM_RELATIONSHIP_MASTER ADD PAY_HOLIDAY_TREATMENT VARCHAR2(3)';
 END IF;
 COL_EXISTS:=0;
 SELECT COUNT(1) INTO COL_EXISTS FROM USER_TAB_COLS WHERE TABLE_NAME = 'OBCM_TM_RELATIONSHIP_MASTER' AND COLUMN_NAME = 'PAY_AUTO_ACCEPTANCE';
 IF (COL_EXISTS = 0) THEN
 EXECUTE IMMEDIATE 'ALTER TABLE OBCM_TM_RELATIONSHIP_MASTER ADD (PAY_AUTO_ACCEPTANCE VARCHAR2(1) DEFAULT ''N'')';
 END IF;
 COL_EXISTS:=0;
 SELECT COUNT(1) INTO COL_EXISTS FROM USER_TAB_COLS WHERE TABLE_NAME = 'OBCM_TM_RELATIONSHIP_MASTER' AND COLUMN_NAME = 'PAY_NO_OF_DAYS';
 IF (COL_EXISTS = 0) THEN
 EXECUTE IMMEDIATE 'ALTER TABLE OBCM_TM_RELATIONSHIP_MASTER ADD PAY_NO_OF_DAYS NUMBER';
 END IF;
 COL_EXISTS:=0;
 SELECT COUNT(1) INTO COL_EXISTS FROM USER_TAB_COLS WHERE TABLE_NAME = 'OBCM_TM_RELATIONSHIP_MASTER' AND COLUMN_NAME = 'PAY_ALLOW_OVERDUE_RCV';
 IF (COL_EXISTS = 0) THEN
 EXECUTE IMMEDIATE 'ALTER TABLE OBCM_TM_RELATIONSHIP_MASTER ADD (PAY_ALLOW_OVERDUE_RCV VARCHAR2(1) DEFAULT ''N'')';
 END IF;
 COL_EXISTS:=0;
 SELECT COUNT(1) INTO COL_EXISTS FROM USER_TAB_COLS WHERE TABLE_NAME = 'OBCM_TM_RELATIONSHIP_MASTER' AND COLUMN_NAME = 'PAY_MAX_DAYS_OVERDUE';
 IF (COL_EXISTS = 0) THEN
 EXECUTE IMMEDIATE 'ALTER TABLE OBCM_TM_RELATIONSHIP_MASTER ADD (PAY_MAX_DAYS_OVERDUE NUMBER(3))';
 END IF;
 COL_EXISTS:=0;
 SELECT COUNT(1) INTO COL_EXISTS FROM USER_TAB_COLS WHERE TABLE_NAME = 'OBCM_TM_RELATIONSHIP_MASTER' AND COLUMN_NAME = 'PAY_VALIDATE_LINKED_PO';
 IF (COL_EXISTS = 0) THEN
 EXECUTE IMMEDIATE 'ALTER TABLE OBCM_TM_RELATIONSHIP_MASTER ADD (PAY_VALIDATE_LINKED_PO VARCHAR2(1))';
 END IF;
 COL_EXISTS:=0;
 SELECT COUNT(1) INTO COL_EXISTS FROM USER_TAB_COLS WHERE TABLE_NAME = 'OBCM_TM_RELATIONSHIP_MASTER' AND COLUMN_NAME = 'PAY_EXCESS_HANDLING';
 IF (COL_EXISTS = 0) THEN
 EXECUTE IMMEDIATE 'ALTER TABLE OBCM_TM_RELATIONSHIP_MASTER ADD (PAY_EXCESS_HANDLING VARCHAR2(50))';
 END IF;
 COL_EXISTS:=0;
 SELECT COUNT(1) INTO COL_EXISTS FROM USER_TAB_COLS WHERE TABLE_NAME = 'OBCM_TM_RELATIONSHIP_MASTER' AND COLUMN_NAME = 'PAY_EXCESS_REFUND_PARTY';
 IF (COL_EXISTS = 0) THEN
 EXECUTE IMMEDIATE 'ALTER TABLE OBCM_TM_RELATIONSHIP_MASTER ADD (PAY_EXCESS_REFUND_PARTY VARCHAR2(20))';
 END IF;
 COL_EXISTS:=0;
 SELECT COUNT(1) INTO COL_EXISTS FROM USER_TAB_COLS WHERE TABLE_NAME = 'OBCM_TM_RELATIONSHIP_MASTER' AND COLUMN_NAME = 'PAY_EXCESS_REFUND_PAYMENT_MODE';
 IF (COL_EXISTS = 0) THEN
 EXECUTE IMMEDIATE 'ALTER TABLE OBCM_TM_RELATIONSHIP_MASTER ADD (PAY_EXCESS_REFUND_PAYMENT_MODE VARCHAR2(20))';
 END IF;
END;
/