declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'OB_INVOICE_OFFER_TENOR_PARAMETERS_TW';

if (table_exists = 0) then
execute immediate 'CREATE TABLE "OB_INVOICE_OFFER_TENOR_PARAMETERS_TW"
   (		"ID" VARCHAR2(36 BYTE) NOT NULL ENABLE,
	"SEQ_NO" NUMBER(4,0) NOT NULL ENABLE,
	"DAYS_ELAPSED_FROM" NUMBER(4,0),
	"DAYS_ELAPSED_TO" NUMBER(4,0),
	"DISCOUNT_PERCENTAGE" NUMBER(28,4),
	"UPPER_DISCOUNT_RATE_THRESHOLD" NUMBER(28,4),
	"LOWER_DISCOUNT_RATE_THRESHOLD" NUMBER(28,4),
	"SLIDING_SCALE_APPLICABLE" VARCHAR2(1 BYTE),
	"INVOICE_REF_NO" VARCHAR2(40 BYTE),
	"TRANSACTION_REF_NO" VARCHAR2(100 BYTE),
	"CURRENCY" VARCHAR2(3 BYTE),
	"DISCOUNT_RULE_ID" VARCHAR2(20 BYTE),
	"DISCOUNT_RULE_DESCRIPTION" VARCHAR2(100 BYTE),
	"INVOICE_MASTER_ID" VARCHAR2(50 BYTE),
	"PAYMENT_DATE_FROM" DATE,
	"PAYMENT_DATE_TO" DATE,
	"DISCOUNT_OFFER_TENOR_AMOUNT" NUMBER(28,4),
	 CONSTRAINT "OB_INVOICE_OFFER_PAYBYDATE_PARAMETERS_TW_PK" PRIMARY KEY ("ID", "SEQ_NO"))';
end if;
end;
/