DECLARE
    col_exists NUMBER;
BEGIN
    SELECT
        COUNT(1)
    INTO col_exists
    FROM
        user_tab_cols
    WHERE
            table_name = 'OB_INVOICE_FIN_PARAMETERS_TM'
        AND column_name = 'USE_EARMARKED_LIMITS';

    IF ( col_exists = 0 ) THEN
        EXECUTE IMMEDIATE 'alter table OB_INVOICE_FIN_PARAMETERS_TM ADD (USE_EARMARKED_LIMITS VARCHAR2(1 BYTE))';
    END IF;
END;