DECLARE
    col_exists1 NUMBER;
    col_exists2 NUMBER;
    col_exists3 NUMBER;
BEGIN
    SELECT
        COUNT(1)
    INTO col_exists1
    FROM
        user_tab_cols
    WHERE
            table_name = 'SCFCM_PAYMENT_TW'
        AND column_name = 'BANK_CHARGE_AMT';

    SELECT
        COUNT(1)
    INTO col_exists2
    FROM
        user_tab_cols
    WHERE
            table_name = 'SCFCM_PAYMENT_TW'
        AND column_name = 'DEDUC_AMT';

    SELECT
        COUNT(1)
    INTO col_exists3
    FROM
        user_tab_cols
    WHERE
            table_name = 'SCFCM_PAYMENT_TW'
        AND column_name = 'INSTRUMENT_CLEARED';

    IF ( col_exists1 = 0 ) THEN
        EXECUTE IMMEDIATE 'ALTER TABLE SCFCM_PAYMENT_TW ADD (BANK_CHARGE_AMT NUMBER(28,4))';
    END IF;
    IF ( col_exists2 = 0 ) THEN
        EXECUTE IMMEDIATE 'ALTER TABLE SCFCM_PAYMENT_TW ADD (DEDUC_AMT NUMBER(28,4))';
    END IF;
    IF ( col_exists3 = 0 ) THEN
        EXECUTE IMMEDIATE 'ALTER TABLE SCFCM_PAYMENT_TW ADD (INSTRUMENT_CLEARED VARCHAR2(1 BYTE))';
    END IF;
END;