declare table_exists number;
begin
select count(1) into table_exists from USER_TABLES where table_name = 'OB_PO_COMMODITY_LIST_TM';

if (table_exists = 0) then
execute immediate
  'CREATE TABLE "OB_PO_COMMODITY_LIST_TM"
   (   "COMMODITY_CODE" VARCHAR2(20 BYTE),
       	"COMMODITY_NAME" VARCHAR2(50 BYTE),
       	"DISCOUNT_AMOUNT" NUMBER(28,4),
       	"DISCOUNT_PERCENT" NUMBER(28,4),
       	"GOODS_DESCRIPTION" VARCHAR2(100 BYTE),
       	"ID" VARCHAR2(36 BYTE) NOT NULL ENABLE,
       	"MOD_NO" NUMBER(4,0),
       	"NET_COST" NUMBER(28,4),
       	"QUANTITY" NUMBER(28,4),
       	"TAX_AMOUNT" NUMBER(28,4),
       	"TAX_PERCENT" NUMBER(28,4),
       	"TOTAL_COST" NUMBER(28,4),
       	"TOTAL_WEIGHT" NUMBER(28,4),
       	"UNIT" VARCHAR2(30 BYTE),
       	"UNIT_COST" NUMBER(28,4),
       	"UNIT_WEIGHT" NUMBER(28,4),
       	"PO_INTERNAL_NUMBER" VARCHAR2(36 BYTE) NOT NULL ENABLE,
       	"CURRENCY" VARCHAR2(10 BYTE),
       	"AVAILABLE_AMOUNT" NUMBER(28,4),
       	"ALLOCATED_AMOUNT" NUMBER(28,4)
  )';
   execute immediate
        'ALTER TABLE OB_PO_COMMODITY_LIST_TM ADD CONSTRAINT "PK_TM_PO_COMMODITY_LIST" PRIMARY KEY ("ID")';

end if;
end;