DECLARE
    INDEX_EXISTS NUMBER;
    INDEX_EXISTS_D NUMBER;

BEGIN
    SELECT COUNT(1) INTO INDEX_EXISTS FROM USER_INDEXES WHERE INDEX_NAME = 'IDX_SCFCM_INV_INV_PAY_STAT';
    SELECT COUNT(1) INTO INDEX_EXISTS_D FROM USER_INDEXES WHERE INDEX_NAME = 'IDX_SCFCM_INV_PAY_DUE_DATE';
    IF (INDEX_EXISTS = 0) THEN
        EXECUTE IMMEDIATE 'CREATE INDEX "IDX_SCFCM_INV_INV_PAY_STAT" ON "SCFCM_INVOICE" ("INVOICE_STATUS", "PAYMENT_STATUS")';
    END IF;

    IF (INDEX_EXISTS_D = 0) THEN
        EXECUTE IMMEDIATE 'CREATE INDEX "IDX_SCFCM_INV_PAY_DUE_DATE" ON "SCFCM_INVOICE" ("PAYMENT_DUE_DATE")';
    END IF;
END;
/