DECLARE
    INDEX_EXISTS NUMBER;
    INDEX_EXISTS_STAT NUMBER;
BEGIN
    SELECT COUNT(1) INTO INDEX_EXISTS FROM USER_INDEXES WHERE INDEX_NAME = 'IDX_SCFCM_PAYMENT_PAY_DATE';
    SELECT COUNT(1) INTO INDEX_EXISTS_STAT FROM USER_INDEXES WHERE INDEX_NAME = 'IDX_SCFCM_PAYMENT_STATUS_DCIND';

    IF (INDEX_EXISTS = 0) THEN
        EXECUTE IMMEDIATE 'CREATE INDEX "IDX_SCFCM_PAYMENT_PAY_DATE" ON "SCFCM_PAYMENT" ("PAYMENT_DATE")';
    END IF;
    IF (INDEX_EXISTS_STAT = 0) THEN
        EXECUTE IMMEDIATE 'CREATE INDEX "IDX_SCFCM_PAYMENT_STATUS_DCIND" ON "SCFCM_PAYMENT" ("PAYMENT_STATUS","DEBIT_CREDIT_INDICATOR")';
    END IF;
END;
/