DECLARE
    INDEX_EXISTS NUMBER;
    INDEX_EXISTS1 NUMBER;
BEGIN
    SELECT COUNT(1) INTO INDEX_EXISTS FROM USER_INDEXES WHERE INDEX_NAME = 'IDX_SCFCM_INV_ID_REL_CODE';
    IF (INDEX_EXISTS = 0) THEN
        EXECUTE IMMEDIATE 'CREATE INDEX "IDX_SCFCM_INV_ID_REL_CODE" ON "SCFCM_INVOICE" ("ID","RELATION_CODE")';
    END IF;

    SELECT COUNT(1) INTO INDEX_EXISTS1 FROM USER_INDEXES WHERE INDEX_NAME = 'IDX_SCFCM_INV_ID_BUY_SUPP';
    IF (INDEX_EXISTS1 = 0) THEN
        EXECUTE IMMEDIATE 'CREATE INDEX "IDX_SCFCM_INV_ID_BUY_SUPP" ON "SCFCM_INVOICE" ("BUYER_ID","SUPPLIER_ID")';
    END IF;
END;
/