INSERT
INTO SMS_TM_SERVICE_ACTIVITY
  (
    SERVICE_ACTIVITY_CODE,
    DESCRIPTION,
    CLASS_NAME,
    METHOD_NAME,
    APPLICATION_ID,
    SERVICE_TYPE,
    UI_ACTIVITY_CODE
  )
  (SELECT 'OBSCFCM_SA_INVOICE_AGE_DET',
      'Dashboard',
      'oracle.fsgbu.obscfcm.services.report.web.ReportCreationServiceController',
      'getAgingInvoiceDetails',
      'OBSCFCM',
      'Web API',
      NULL
    FROM dual
    WHERE NOT EXISTS
      (SELECT SERVICE_ACTIVITY_CODE,
        DESCRIPTION,
        CLASS_NAME,
        METHOD_NAME,
        APPLICATION_ID,
        SERVICE_TYPE,
        UI_ACTIVITY_CODE
      FROM SMS_TM_SERVICE_ACTIVITY
      WHERE SERVICE_ACTIVITY_CODE='OBSCFCM_SA_INVOICE_AGE_DET'
      )
  );


INSERT
INTO SMS_TM_SERVICE_ACTIVITY
  (
    SERVICE_ACTIVITY_CODE,
    DESCRIPTION,
    CLASS_NAME,
    METHOD_NAME,
    APPLICATION_ID,
    SERVICE_TYPE,
    UI_ACTIVITY_CODE
  )
  (SELECT 'OBSCFCM_SA_INVOICE_ENQ',
      'Invoice Inquiry API',
      'oracle.fsgbu.obscfcm.services.report.web.ReportCreationServiceController',
      'getInvoices',
      'OBSCFCM',
      'Web API',
      NULL
    FROM dual
    WHERE NOT EXISTS
      (SELECT SERVICE_ACTIVITY_CODE,
        DESCRIPTION,
        CLASS_NAME,
        METHOD_NAME,
        APPLICATION_ID,
        SERVICE_TYPE,
        UI_ACTIVITY_CODE
      FROM SMS_TM_SERVICE_ACTIVITY
      WHERE SERVICE_ACTIVITY_CODE='OBSCFCM_SA_INVOICE_ENQ'
      )
  );
    
commit;