package oracle.fsgbu.customer.test.entity

import oracle.fsgbu.obscfcm.services.report.domain.entity.ObcmTmRelationshipDetailsExternalCode;
import oracle.fsgbu.obscfcm.services.report.domain.entity.ObcmTmRelationshipDetails;
import spock.lang.Specification;
import spock.lang.Unroll;

class ObcmTmRelationshipDetailsExternalCodeSpec extends Specification {

	@Unroll("")
	def "test obcmTmRelationshipDetailsExternalCode accessors"() {
		given:
		def obcmTmRelationshipDetailsExternalCode = new ObcmTmRelationshipDetailsExternalCode()
		def obcmTmRelationshipDetails = new ObcmTmRelationshipDetails()
		when:obcmTmRelationshipDetailsExternalCode
		obcmTmRelationshipDetailsExternalCode.setCorporateDivisionCode(corporateDivisionCode)
		obcmTmRelationshipDetailsExternalCode.setDivisionCode(divisionCode)
		obcmTmRelationshipDetailsExternalCode.setExternalCode(externalCode)
		obcmTmRelationshipDetailsExternalCode.setId(id)
		obcmTmRelationshipDetailsExternalCode.setModNo(modNo)
		obcmTmRelationshipDetailsExternalCode.setRelationshipDetailId(relationshipDetailId)
		obcmTmRelationshipDetailsExternalCode.setObcmTmRelationshipDetails(obcmTmRelationshipDetails)
		then:
		obcmTmRelationshipDetailsExternalCode.getCorporateDivisionCode() == corporateDivisionCode
		obcmTmRelationshipDetailsExternalCode.getDivisionCode()  ==  divisionCode
		obcmTmRelationshipDetailsExternalCode.getExternalCode() ==  externalCode
		obcmTmRelationshipDetailsExternalCode.getId()	== id
		obcmTmRelationshipDetailsExternalCode.getModNo() == modNo
		obcmTmRelationshipDetailsExternalCode.getObcmTmRelationshipDetails() == obcmTmRelationshipDetails 
		obcmTmRelationshipDetailsExternalCode.getRelationshipDetailId() == relationshipDetailId
		obcmTmRelationshipDetailsExternalCode.getClass()

		obcmTmRelationshipDetailsExternalCode.toString() != null

		where:
		corporateDivisionCode	|   divisionCode	|   externalCode	|	id	|	modNo	|	relationshipDetailId
					"CD1"		|	"C"				|	"1"				|	"1C"|	2		|		"4"						
	}

	
}