package oracle.fsgbu.customer.test.web
import spock.lang.Specification;
import spock.lang.Unroll;
import spock.lang.Shared
import oracle.fsgbu.gus.persistence.provider.GlobalHolder
import oracle.fsgbu.gus.persistence.provider.RequestContext
import oracle.fsgbu.obscfcm.services.report.util.ReportingUtil
import org.junit.Test

import oracle.fsgbu.obscfcm.services.report.service.RelationshipEventListenerService
import oracle.fsgbu.obscfcm.services.report.service.ReportCreationService;
import oracle.fsgbu.obscfcm.services.report.web.RelationshipEventListenerServiceController
import oracle.fsgbu.obscfcm.services.scfcm.dto.ObcmTmRelationshipMasterDTO;

class RelationshipEventListenerServiceControllerSpec extends Specification {


	def RelationshipEventListenerService mockEventService = Mock(RelationshipEventListenerService)

	@Unroll("test saveRelationshipData method")
	def"test saveRelationshipData method"(){
		given:

		def RelationshipEventListenerService mockEventService = Mock(RelationshipEventListenerService)
		RelationshipEventListenerServiceController relationshipEventListenerService = new RelationshipEventListenerServiceController()
		relationshipEventListenerService.relationshipEventListenerService = mockEventService;
		

		when:
		def response = relationshipEventListenerService.saveRelationshipData("OBSCFCMREPORT", "SWETA", "004", new ObcmTmRelationshipMasterDTO())

		then:
		response!= null
	}
}